#ifndef _arrays_server_h_
#define _arrays_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___end
#define _typedef___end
typedef struct end {
  oskit_s32_t elem1;
  char elem2;
} end;
#endif /* _typedef___end */

void flick_marshal_stub_end(flick_marshal_stream_t _stream, const end *_data);

void flick_unmarshal_stub_end(flick_marshal_stream_t _stream, end *_data);

#ifndef _typedef___begin
#define _typedef___begin
typedef struct begin {
  char elem1;
  oskit_s32_t elem2;
} begin;
#endif /* _typedef___begin */

void flick_marshal_stub_begin(flick_marshal_stream_t _stream, const begin *_data);

void flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, begin *_data);

#ifndef _typedef___cLd
#define _typedef___cLd
typedef struct cLd {
  char first;
  oskit_s32_t data[50];
  double last;
} cLd;
#endif /* _typedef___cLd */

void flick_marshal_stub_cLd(flick_marshal_stream_t _stream, const cLd *_data);

void flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, cLd *_data);

#ifndef _typedef___dLc
#define _typedef___dLc
typedef struct dLc {
  double first;
  oskit_s32_t data[50];
  char last;
} dLc;
#endif /* _typedef___dLc */

void flick_marshal_stub_dLc(flick_marshal_stream_t _stream, const dLc *_data);

void flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, dLc *_data);

#ifndef _typedef___sLs
#define _typedef___sLs
typedef struct sLs {
  oskit_s16_t first;
  oskit_s32_t data[50];
  oskit_s16_t last;
} sLs;
#endif /* _typedef___sLs */

void flick_marshal_stub_sLs(flick_marshal_stream_t _stream, const sLs *_data);

void flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, sLs *_data);

#ifndef _typedef___cLCd
#define _typedef___cLCd
typedef struct cLCd {
  char first;
  end data[50];
  double last;
} cLCd;
#endif /* _typedef___cLCd */

void flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, const cLCd *_data);

void flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, cLCd *_data);

#ifndef _typedef___dLCc
#define _typedef___dLCc
typedef struct dLCc {
  double first;
  end data[50];
  char last;
} dLCc;
#endif /* _typedef___dLCc */

void flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, const dLCc *_data);

void flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, dLCc *_data);

#ifndef _typedef___sLCs
#define _typedef___sLCs
typedef struct sLCs {
  oskit_s16_t first;
  end data[50];
  oskit_s16_t last;
} sLCs;
#endif /* _typedef___sLCs */

void flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, const sLCs *_data);

void flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, sLCs *_data);

#ifndef _typedef___cCLd
#define _typedef___cCLd
typedef struct cCLd {
  char first;
  begin data[50];
  double last;
} cCLd;
#endif /* _typedef___cCLd */

void flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, const cCLd *_data);

void flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, cCLd *_data);

#ifndef _typedef___dCLc
#define _typedef___dCLc
typedef struct dCLc {
  double first;
  begin data[50];
  char last;
} dCLc;
#endif /* _typedef___dCLc */

void flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, const dCLc *_data);

void flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, dCLc *_data);

#ifndef _typedef___sCLs
#define _typedef___sCLs
typedef struct sCLs {
  oskit_s16_t first;
  begin data[50];
  oskit_s16_t last;
} sCLs;
#endif /* _typedef___sCLs */

void flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, const sCLs *_data);

void flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, sCLs *_data);

#include <fluke/flick.h>

#ifndef _typedef___arrays
#define _typedef___arrays
typedef struct arrays_struct arrays;
#endif /* _typedef___arrays */

void flick_marshal_stub_arrays(flick_marshal_stream_t _stream, const arrays *_data);

void flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data);

extern flick_dispatch_t arrays_server;

cLd arrays_server_test_cLd(arrays *_obj, const cLd *inp, cLd *iop, cLd *outp, mom_exc_t *_ev);

dLc arrays_server_test_dLc(arrays *_obj, const dLc *inp, dLc *iop, dLc *outp, mom_exc_t *_ev);

sLs arrays_server_test_sLs(arrays *_obj, const sLs *inp, sLs *iop, sLs *outp, mom_exc_t *_ev);

cLCd arrays_server_test_cLCd(arrays *_obj, const cLCd *inp, cLCd *iop, cLCd *outp, mom_exc_t *_ev);

dLCc arrays_server_test_dLCc(arrays *_obj, const dLCc *inp, dLCc *iop, dLCc *outp, mom_exc_t *_ev);

sLCs arrays_server_test_sLCs(arrays *_obj, const sLCs *inp, sLCs *iop, sLCs *outp, mom_exc_t *_ev);

cCLd arrays_server_test_cCLd(arrays *_obj, const cCLd *inp, cCLd *iop, cCLd *outp, mom_exc_t *_ev);

dCLc arrays_server_test_dCLc(arrays *_obj, const dCLc *inp, dCLc *iop, dCLc *outp, mom_exc_t *_ev);

sCLs arrays_server_test_sCLs(arrays *_obj, const sCLs *inp, sCLs *iop, sCLs *outp, mom_exc_t *_ev);

#endif /* _arrays_server_h_ */
