#include "program-4-server.h"

void flick_marshal_stub_short_short(flick_marshal_stream_t _stream, const struct short_short *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed16(0, _data->a);
  flick_fluke_encode_signed16(2, _data->b);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_short_short(flick_marshal_stream_t _stream, struct short_short *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed16(0, _data->a);
  flick_fluke_decode_signed16(2, _data->b);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_long_long(flick_marshal_stream_t _stream, const struct long_long *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->a);
  flick_fluke_encode_signed32(4, _data->b);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_long_long(flick_marshal_stream_t _stream, struct long_long *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->a);
  flick_fluke_decode_signed32(4, _data->b);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
}

void flick_marshal_stub_long_list(flick_marshal_stream_t _stream, const long_list *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->long_list_len);
  flick_fluke_encode_unsigned32(0, _data->long_list_len);
  if (_data->long_list_len > (unsigned int) 10)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_encode_bcopy(4, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_encode_end_chunk(4 + 4 * _data->long_list_len);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->long_list_len);
  if (_data->long_list_len > (unsigned int) 10)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->long_list_len);
  _data->long_list_val = sun_flick_alloc(_data->long_list_len * sizeof(int ));
  flick_fluke_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_fluke_decode_end_chunk(4 * _data->long_list_len);
  flick_fluke_decode_end_glob(44);
}

mom_dispatch_action_t math_1(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t9_switch_tag;

    flick_fluke_decode_new_glob(48);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t9_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            struct short_short _t10_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t10_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_arg->a);
            flick_fluke_decode_signed16(2, _local_arg->b);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = addshort_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, *_return);
                  flick_fluke_encode_end_chunk(2);
                  flick_fluke_encode_end_glob(6);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(6);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(6);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 2:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            struct short_short _t11_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t11_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_arg->a);
            flick_fluke_decode_signed16(2, _local_arg->b);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = subshort_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, *_return);
                  flick_fluke_encode_end_chunk(2);
                  flick_fluke_encode_end_glob(6);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(6);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(6);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 3:
        {
          {
            struct short_short *_local_arg;
            struct svc_req *_obj;
            short int *_return = 0;
            struct short_short _t12_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t12_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_arg->a);
            flick_fluke_decode_signed16(2, _local_arg->b);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = multshort_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, *_return);
                  flick_fluke_encode_end_chunk(2);
                  flick_fluke_encode_end_glob(6);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(6);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(6);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 4:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            struct long_long _t13_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t13_storage;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_arg->a);
            flick_fluke_decode_signed32(4, _local_arg->b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = addlong_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 5:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            struct long_long _t14_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t14_storage;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_arg->a);
            flick_fluke_decode_signed32(4, _local_arg->b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = sublong_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 6:
        {
          {
            struct long_long *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            struct long_long _t15_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t15_storage;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_arg->a);
            flick_fluke_decode_signed32(4, _local_arg->b);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = multlong_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 7:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            long_list _t16_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t16_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->long_list_len);
            if (_local_arg->long_list_len > (unsigned int) 10)
              flick_sun_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_new_chunk(4 * _local_arg->long_list_len);
            _local_arg->long_list_val = sun_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            flick_fluke_decode_bcopy(0, _local_arg->long_list_val, 4 * _local_arg->long_list_len);
            flick_fluke_decode_end_chunk(4 * _local_arg->long_list_len);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = addlonglist_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case (signed int) 8:
        {
          {
            long_list *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            long_list _t17_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t17_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->long_list_len);
            if (_local_arg->long_list_len > (unsigned int) 10)
              flick_sun_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_new_chunk(4 * _local_arg->long_list_len);
            _local_arg->long_list_val = sun_flick_alloc(_local_arg->long_list_len * sizeof(int ));
            flick_fluke_decode_bcopy(0, _local_arg->long_list_val, 4 * _local_arg->long_list_len);
            flick_fluke_decode_end_chunk(4 * _local_arg->long_list_len);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = multlonglist_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(48);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
