#include "struct-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const bar *_data)
{
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->b1);
  flick_fluke_encode_signed32(4, _data->b2);
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  flick_fluke_encode_string(_data->b3, null_flick_free, fluke, 20);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, bar *_data)
{
  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->b1);
  flick_fluke_decode_signed32(4, _data->b2);
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  flick_fluke_decode_string(_data->b3, mom_flick_alloc, fluke, 20);
}

void flick_marshal_stub_bar2(flick_marshal_stream_t _stream, const bar2 *_data)
{
  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(12);
  flick_fluke_encode_signed32(0, _data->b3);
  flick_fluke_encode_signed32(4, _data->b4.b1);
  flick_fluke_encode_signed32(8, _data->b4.b2);
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(12);
  flick_fluke_encode_string(_data->b4.b3, null_flick_free, fluke, 20);
}

void flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, bar2 *_data)
{
  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_signed32(0, _data->b3);
  flick_fluke_decode_signed32(4, _data->b4.b1);
  flick_fluke_decode_signed32(8, _data->b4.b2);
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(12);
  flick_fluke_decode_string(_data->b4.b3, mom_flick_alloc, fluke, 20);
}

void flick_marshal_stub_bar3(flick_marshal_stream_t _stream, const bar3 *_data)
{
  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(12);
  flick_fluke_encode_signed32(0, _data->b1);
  flick_fluke_encode_signed32(4, _data->b2);
  flick_fluke_encode_signed32(8, _data->b3);
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(12);
}

void flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, bar3 *_data)
{
  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_signed32(0, _data->b1);
  flick_fluke_decode_signed32(4, _data->b2);
  flick_fluke_decode_signed32(8, _data->b3);
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(12);
}

void flick_marshal_stub_bar4(flick_marshal_stream_t _stream, const bar4 *_data)
{
  flick_fluke_encode_new_glob(16);
  flick_fluke_encode_new_chunk(16);
  flick_fluke_encode_signed32(0, _data->b1);
  flick_fluke_encode_signed32(4, _data->b2.b3);
  flick_fluke_encode_signed32(8, _data->b2.b4.b1);
  flick_fluke_encode_signed32(12, _data->b2.b4.b2);
  flick_fluke_encode_end_chunk(16);
  flick_fluke_encode_end_glob(16);
  flick_fluke_encode_string(_data->b2.b4.b3, null_flick_free, fluke, 20);
  flick_fluke_encode_new_glob(23);
  flick_fluke_encode_new_chunk_align(20, 2, 0, 0);
  flick_fluke_encode_signed32(0, _data->b3);
  flick_fluke_encode_signed32(4, _data->b4.b1);
  flick_fluke_encode_signed32(8, _data->b4.b2);
  flick_fluke_encode_signed32(12, _data->b4.b3);
  flick_fluke_encode_signed32(16, _data->b5);
  flick_fluke_encode_end_chunk(20);
  flick_fluke_encode_end_glob(23);
}

void flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, bar4 *_data)
{
  flick_fluke_decode_new_glob(16);
  flick_fluke_decode_new_chunk(16);
  flick_fluke_decode_signed32(0, _data->b1);
  flick_fluke_decode_signed32(4, _data->b2.b3);
  flick_fluke_decode_signed32(8, _data->b2.b4.b1);
  flick_fluke_decode_signed32(12, _data->b2.b4.b2);
  flick_fluke_decode_end_chunk(16);
  flick_fluke_decode_end_glob(16);
  flick_fluke_decode_string(_data->b2.b4.b3, mom_flick_alloc, fluke, 20);
  flick_fluke_decode_new_glob(23);
  flick_fluke_decode_new_chunk_align(20, 2, 0, 0);
  flick_fluke_decode_signed32(0, _data->b3);
  flick_fluke_decode_signed32(4, _data->b4.b1);
  flick_fluke_decode_signed32(8, _data->b4.b2);
  flick_fluke_decode_signed32(12, _data->b4.b3);
  flick_fluke_decode_signed32(16, _data->b5);
  flick_fluke_decode_end_chunk(20);
  flick_fluke_decode_end_glob(23);
}

oskit_s32_t foo_op(mom_ref_t _obj, const bar *a, bar2 **b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_foo_op);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a->b1);
    flick_fluke_encode_signed32(8, a->b2);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
    flick_fluke_encode_string(a->b3, null_flick_free, fluke, 20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(20);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_signed32(0, _return);
          *b = mom_flick_alloc(sizeof(bar2 ));
          flick_fluke_decode_signed32(4, (*b)->b3);
          flick_fluke_decode_signed32(8, (*b)->b4.b1);
          flick_fluke_decode_signed32(12, (*b)->b4.b2);
          flick_fluke_decode_end_chunk(16);
          flick_fluke_decode_end_glob(20);
          flick_fluke_decode_string((*b)->b4.b3, mom_flick_alloc, fluke, 20);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(20);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(20);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

bar *foo2_op2(mom_ref_t _obj, const bar2 *a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  bar *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(16);
    flick_fluke_encode_new_chunk(16);
    flick_fluke_encode_unsigned32(0, req_foo2_op2);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a->b3);
    flick_fluke_encode_signed32(8, a->b4.b1);
    flick_fluke_encode_signed32(12, a->b4.b2);
    flick_fluke_encode_end_chunk(16);
    flick_fluke_encode_end_glob(16);
    flick_fluke_encode_string(a->b4.b3, null_flick_free, fluke, 20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(12);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          _return = mom_flick_alloc(sizeof(bar ));
          flick_fluke_decode_new_chunk(8);
          flick_fluke_decode_signed32(0, _return->b1);
          flick_fluke_decode_signed32(4, _return->b2);
          flick_fluke_decode_end_chunk(8);
          flick_fluke_decode_end_glob(12);
          flick_fluke_decode_string(_return->b3, mom_flick_alloc, fluke, 20);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(12);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(12);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t foo2_op3(mom_ref_t _obj, oskit_s32_t a, char *b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, req_foo2_op3);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(9);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(5);
          flick_fluke_decode_signed32(0, _return);
          flick_fluke_decode_char8(4, *b);
          flick_fluke_decode_end_chunk(5);
          flick_fluke_decode_end_glob(9);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(9);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(9);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

oskit_s32_t foo2_op(mom_ref_t _obj, const bar *a, bar2 **b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(12);
    flick_fluke_encode_unsigned32(0, req_foo_op);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, a->b1);
    flick_fluke_encode_signed32(8, a->b2);
    flick_fluke_encode_end_chunk(12);
    flick_fluke_encode_end_glob(12);
    flick_fluke_encode_string(a->b3, null_flick_free, fluke, 20);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_mom_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(20);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _ev->_type);
    flick_fluke_decode_end_chunk(4);
    switch (_ev->_type)
      {
      case exc_mom_no_exception:
        {
          /* Begin decode phase on parameters */
          flick_fluke_decode_new_chunk(16);
          flick_fluke_decode_signed32(0, _return);
          *b = mom_flick_alloc(sizeof(bar2 ));
          flick_fluke_decode_signed32(4, (*b)->b3);
          flick_fluke_decode_signed32(8, (*b)->b4.b1);
          flick_fluke_decode_signed32(12, (*b)->b4.b2);
          flick_fluke_decode_end_chunk(16);
          flick_fluke_decode_end_glob(20);
          flick_fluke_decode_string((*b)->b4.b3, mom_flick_alloc, fluke, 20);
          break;
        }
      case exc_mom_system_exception:
        {
          flick_fluke_decode_end_glob(20);
          flick_mom_decode_system_exception(_ev, fluke, fluke);
          break;
        }
      default:
        {
          flick_mom_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(20);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

void flick_marshal_stub_Coord(flick_marshal_stream_t _stream, const Coord *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_unsigned16(0, *_data);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_unsigned16(0, *_data);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, const CellPos *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned16(0, _data->row);
  flick_fluke_encode_unsigned16(2, _data->col);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, CellPos *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned16(0, _data->row);
  flick_fluke_decode_unsigned16(2, _data->col);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, const CellPos2 *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned16(0, _data->row);
  flick_fluke_encode_unsigned16(2, _data->col);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
}

void flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, CellPos2 *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned16(0, _data->row);
  flick_fluke_decode_unsigned16(2, _data->col);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
}

void flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, const CellPos3 *_data)
{
  flick_fluke_encode_new_glob(6);
  flick_fluke_encode_new_chunk(6);
  flick_fluke_encode_unsigned16(0, _data->row);
  flick_fluke_encode_unsigned16(2, _data->col);
  flick_fluke_encode_unsigned16(4, _data->col2);
  flick_fluke_encode_end_chunk(6);
  flick_fluke_encode_end_glob(6);
}

void flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, CellPos3 *_data)
{
  flick_fluke_decode_new_glob(6);
  flick_fluke_decode_new_chunk(6);
  flick_fluke_decode_unsigned16(0, _data->row);
  flick_fluke_decode_unsigned16(2, _data->col);
  flick_fluke_decode_unsigned16(4, _data->col2);
  flick_fluke_decode_end_chunk(6);
  flick_fluke_decode_end_glob(6);
}

