#include "structnestez_-server.h"

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->f);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->f);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_b(flick_marshal_stream_t _stream, const b *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->f.f);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_b(flick_marshal_stream_t _stream, b *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->f.f);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_bar_foo(flick_marshal_stream_t _stream, const bar_foo *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->f);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_bar_foo(flick_marshal_stream_t _stream, bar_foo *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->f);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const bar *_data)
{
  flick_fluke_encode_new_glob(2);
  flick_fluke_encode_new_chunk(2);
  flick_fluke_encode_signed16(0, _data->f.f);
  flick_fluke_encode_end_chunk(2);
  flick_fluke_encode_end_glob(2);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, bar *_data)
{
  flick_fluke_decode_new_glob(2);
  flick_fluke_decode_new_chunk(2);
  flick_fluke_decode_signed16(0, _data->f.f);
  flick_fluke_decode_end_chunk(2);
  flick_fluke_decode_end_glob(2);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
}

mom_dispatch_action_t test_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t5_switch_tag;

    flick_fluke_decode_new_glob(6);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t5_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t5_switch_tag)
      {
      case req_test_op:
        {
          {
            test *_obj;
            bar *_local_arg;
            mom_exc_t *_ev;
            bar _return;
            bar _t6_storage;
            mom_exc_t _t7_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t6_storage;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_arg->f.f);
            _ev = &_t7_storage;
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_op(_obj, _local_arg, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return.f.f);
                  flick_fluke_encode_end_chunk(2);
                  flick_fluke_encode_end_glob(6);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(6);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(6);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_test_op2:
        {
          {
            test *_obj;
            b *_local_arg;
            mom_exc_t *_ev;
            b _return;
            b _t8_storage;
            mom_exc_t _t9_storage;

            _obj = (test *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t8_storage;
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _local_arg->f.f);
            _ev = &_t9_storage;
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = test_server_op2(_obj, _local_arg, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(6);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(2);
                  flick_fluke_encode_signed16(0, _return.f.f);
                  flick_fluke_encode_end_chunk(2);
                  flick_fluke_encode_end_glob(6);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(6);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(6);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(6);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
