#include "union-5-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_fluke_encode_new_glob(12);
  flick_fluke_encode_new_chunk(12);
  flick_fluke_encode_signed32(0, _data->slot_1);
  flick_fluke_encode_signed32(4, _data->slot_2);
  flick_fluke_encode_signed32(8, _data->slot_3);
  flick_fluke_encode_end_chunk(12);
  flick_fluke_encode_end_glob(12);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_fluke_decode_new_glob(12);
  flick_fluke_decode_new_chunk(12);
  flick_fluke_decode_signed32(0, _data->slot_1);
  flick_fluke_decode_signed32(4, _data->slot_2);
  flick_fluke_decode_signed32(8, _data->slot_3);
  flick_fluke_decode_end_chunk(12);
  flick_fluke_decode_end_glob(12);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const struct foo *_data)
{
  flick_fluke_encode_new_glob(408);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->discriminator);
  flick_fluke_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_fluke_encode_new_chunk(4 + 4 * _data->foo_u.one.one_len);
        flick_fluke_encode_unsigned32(0, _data->foo_u.one.one_len);
        if (_data->foo_u.one.one_len > (unsigned int) 100)
          flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
        flick_fluke_encode_bcopy(4, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_fluke_encode_end_chunk(4 + 4 * _data->foo_u.one.one_len);
        flick_fluke_encode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_fluke_encode_end_glob(408);
        flick_fluke_encode_longstring(_data->foo_u.two, null_flick_free, fluke);
        break;
      }
    case 3:
      {
        flick_fluke_encode_new_chunk(12);
        flick_fluke_encode_signed32(0, _data->foo_u.three.slot_1);
        flick_fluke_encode_signed32(4, _data->foo_u.three.slot_2);
        flick_fluke_encode_signed32(8, _data->foo_u.three.slot_3);
        flick_fluke_encode_end_chunk(12);
        flick_fluke_encode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_encode_mu_error(return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        flick_fluke_encode_end_glob(408);
        break;
      }
    }
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  flick_fluke_decode_new_glob(408);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->discriminator);
  flick_fluke_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_fluke_decode_new_chunk(4);
        flick_fluke_decode_unsigned32(0, _data->foo_u.one.one_len);
        if (_data->foo_u.one.one_len > (unsigned int) 100)
          flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
        flick_fluke_decode_end_chunk(4);
        flick_fluke_decode_new_chunk(4 * _data->foo_u.one.one_len);
        _data->foo_u.one.one_val = sun_flick_alloc(_data->foo_u.one.one_len * sizeof(int ));
        flick_fluke_decode_bcopy(0, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_fluke_decode_end_chunk(4 * _data->foo_u.one.one_len);
        flick_fluke_decode_end_glob(408);
        break;
      }
    case 2:
      {
        flick_fluke_decode_end_glob(408);
        flick_fluke_decode_longstring(_data->foo_u.two, sun_flick_alloc, fluke);
        break;
      }
    case 3:
      {
        flick_fluke_decode_new_chunk(12);
        flick_fluke_decode_signed32(0, _data->foo_u.three.slot_1);
        flick_fluke_decode_signed32(4, _data->foo_u.three.slot_2);
        flick_fluke_decode_signed32(8, _data->foo_u.three.slot_3);
        flick_fluke_decode_end_chunk(12);
        flick_fluke_decode_end_glob(408);
        break;
      }
    default:
      {
        flick_sun_decode_mu_error(return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
        flick_fluke_decode_end_glob(408);
        break;
      }
    }
}

struct foo *op_2(struct foo *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  struct foo *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_fluke_encode_new_glob(412);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, 1);
    /* Begin encode phase on parameters */
    flick_fluke_encode_signed32(4, arg->discriminator);
    flick_fluke_encode_end_chunk(8);
    switch (arg->discriminator)
      {
      case 1:
        {
          flick_fluke_encode_new_chunk(4 + 4 * arg->foo_u.one.one_len);
          flick_fluke_encode_unsigned32(0, arg->foo_u.one.one_len);
          if (arg->foo_u.one.one_len > (unsigned int) 100)
            flick_sun_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
          flick_fluke_encode_bcopy(4, arg->foo_u.one.one_val, 4 * arg->foo_u.one.one_len);
          flick_fluke_encode_end_chunk(4 + 4 * arg->foo_u.one.one_len);
          flick_fluke_encode_end_glob(412);
          break;
        }
      case 2:
        {
          flick_fluke_encode_end_glob(412);
          flick_fluke_encode_longstring(arg->foo_u.two, null_flick_free, fluke);
          break;
        }
      case 3:
        {
          flick_fluke_encode_new_chunk(12);
          flick_fluke_encode_signed32(0, arg->foo_u.three.slot_1);
          flick_fluke_encode_signed32(4, arg->foo_u.three.slot_2);
          flick_fluke_encode_signed32(8, arg->foo_u.three.slot_3);
          flick_fluke_encode_end_chunk(12);
          flick_fluke_encode_end_glob(412);
          break;
        }
      default:
        {
          flick_sun_encode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
          flick_fluke_encode_end_glob(412);
          break;
        }
      }
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(412);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static struct foo _t1_storage;

          /* Begin decode phase on parameters */
          _return = &_t1_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, _return->discriminator);
          flick_fluke_decode_end_chunk(4);
          switch (_return->discriminator)
            {
            case 1:
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_decode_unsigned32(0, _return->foo_u.one.one_len);
                if (_return->foo_u.one.one_len > (unsigned int) 100)
                  flick_sun_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
                flick_fluke_decode_end_chunk(4);
                flick_fluke_decode_new_chunk(4 * _return->foo_u.one.one_len);
                _return->foo_u.one.one_val = sun_flick_alloc(_return->foo_u.one.one_len * sizeof(int ));
                flick_fluke_decode_bcopy(0, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                flick_fluke_decode_end_chunk(4 * _return->foo_u.one.one_len);
                flick_fluke_decode_end_glob(412);
                break;
              }
            case 2:
              {
                flick_fluke_decode_end_glob(412);
                flick_fluke_decode_longstring(_return->foo_u.two, sun_flick_alloc, fluke);
                break;
              }
            case 3:
              {
                flick_fluke_decode_new_chunk(12);
                flick_fluke_decode_signed32(0, _return->foo_u.three.slot_1);
                flick_fluke_decode_signed32(4, _return->foo_u.three.slot_2);
                flick_fluke_decode_signed32(8, _return->foo_u.three.slot_3);
                flick_fluke_decode_end_chunk(12);
                flick_fluke_decode_end_glob(412);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return _return, FLICK_ERROR_STRUCT_UNION, fluke, fluke);
                flick_fluke_decode_end_glob(412);
                break;
              }
            }
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(412);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(412);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

