#ifndef _impldef_server_h_
#define _impldef_server_h_

#include <flick/link/iiop.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corba.h>

#ifndef _typedef___CORBA_sequence_string
#define _typedef___CORBA_sequence_string
typedef struct CORBA_sequence_string {
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  CORBA_char **_buffer;
} CORBA_sequence_string;
#endif /* _typedef___CORBA_sequence_string */

#ifndef _typedef___CORBA_StringSequence
#define _typedef___CORBA_StringSequence
typedef struct CORBA_sequence_string CORBA_StringSequence;
#endif /* _typedef___CORBA_StringSequence */

void flick_marshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, const CORBA_StringSequence *_data);

void flick_unmarshal_stub_CORBA_StringSequence(flick_marshal_stream_t _stream, CORBA_StringSequence *_data);

#ifndef _typedef___CORBA_sequence_octet
#define _typedef___CORBA_sequence_octet
typedef struct CORBA_sequence_octet {
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  CORBA_octet *_buffer;
} CORBA_sequence_octet;
#endif /* _typedef___CORBA_sequence_octet */

#ifndef _typedef___CORBA_OctetSequence
#define _typedef___CORBA_OctetSequence
typedef struct CORBA_sequence_octet CORBA_OctetSequence;
#endif /* _typedef___CORBA_OctetSequence */

void flick_marshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, const CORBA_OctetSequence *_data);

void flick_unmarshal_stub_CORBA_OctetSequence(flick_marshal_stream_t _stream, CORBA_OctetSequence *_data);

#ifndef _typedef___CORBA_sequence_long
#define _typedef___CORBA_sequence_long
typedef struct CORBA_sequence_long {
  CORBA_unsigned_long _maximum;
  CORBA_unsigned_long _length;
  CORBA_long *_buffer;
} CORBA_sequence_long;
#endif /* _typedef___CORBA_sequence_long */

#ifndef _typedef___CORBA_LongSequence
#define _typedef___CORBA_LongSequence
typedef struct CORBA_sequence_long CORBA_LongSequence;
#endif /* _typedef___CORBA_LongSequence */

void flick_marshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, const CORBA_LongSequence *_data);

void flick_unmarshal_stub_CORBA_LongSequence(flick_marshal_stream_t _stream, CORBA_LongSequence *_data);

#ifndef _typedef___CORBA_ReferenceData
#define _typedef___CORBA_ReferenceData
typedef CORBA_OctetSequence CORBA_ReferenceData;
#endif /* _typedef___CORBA_ReferenceData */

void flick_marshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, const CORBA_ReferenceData *_data);

void flick_unmarshal_stub_CORBA_ReferenceData(flick_marshal_stream_t _stream, CORBA_ReferenceData *_data);

#ifndef _typedef___CORBA_ReferenceString
#define _typedef___CORBA_ReferenceString
typedef CORBA_StringSequence CORBA_ReferenceString;
#endif /* _typedef___CORBA_ReferenceString */

void flick_marshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, const CORBA_ReferenceString *_data);

void flick_unmarshal_stub_CORBA_ReferenceString(flick_marshal_stream_t _stream, CORBA_ReferenceString *_data);

#ifndef _typedef___CORBA_ReferenceLong
#define _typedef___CORBA_ReferenceLong
typedef CORBA_LongSequence CORBA_ReferenceLong;
#endif /* _typedef___CORBA_ReferenceLong */

void flick_marshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, const CORBA_ReferenceLong *_data);

void flick_unmarshal_stub_CORBA_ReferenceLong(flick_marshal_stream_t _stream, CORBA_ReferenceLong *_data);

#ifndef _typedef___CORBA_ImplementationDef
#define _typedef___CORBA_ImplementationDef
typedef CORBA_Object CORBA_ImplementationDef;
#endif /* _typedef___CORBA_ImplementationDef */

void flick_marshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, const CORBA_ImplementationDef *_data);

void flick_unmarshal_stub_CORBA_ImplementationDef(flick_marshal_stream_t _stream, CORBA_ImplementationDef *_data);

extern flick_dispatch_t CORBA_ImplementationDef_server;

CORBA_char *CORBA_ImplementationDef__get_interface_name(CORBA_ImplementationDef _obj, CORBA_Environment *_ev);

void CORBA_ImplementationDef__set_interface_name(CORBA_ImplementationDef _obj, CORBA_char *interface_name, CORBA_Environment *_ev);

CORBA_char *CORBA_ImplementationDef__get_object_name(CORBA_ImplementationDef _obj, CORBA_Environment *_ev);

void CORBA_ImplementationDef__set_object_name(CORBA_ImplementationDef _obj, CORBA_char *object_name, CORBA_Environment *_ev);

CORBA_ReferenceData *CORBA_ImplementationDef__get_id(CORBA_ImplementationDef _obj, CORBA_Environment *_ev);

void CORBA_ImplementationDef__set_id(CORBA_ImplementationDef _obj, CORBA_ReferenceData *id, CORBA_Environment *_ev);

#ifndef _typedef___CORBA_Policy
#define _typedef___CORBA_Policy
typedef CORBA_enum CORBA_Policy;
#endif /* _typedef___CORBA_Policy */

void flick_marshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, const CORBA_Policy *_data);

void flick_unmarshal_stub_CORBA_Policy(flick_marshal_stream_t _stream, CORBA_Policy *_data);

#define CORBA_SHARED_SERVER (0)

#define CORBA_UNSHARED_SERVER (1)

#define CORBA_SERVER_PER_METHOD (2)

#ifndef _typedef___CORBA_CreationImplDef
#define _typedef___CORBA_CreationImplDef
typedef CORBA_Object CORBA_CreationImplDef;
#endif /* _typedef___CORBA_CreationImplDef */

void flick_marshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, const CORBA_CreationImplDef *_data);

void flick_unmarshal_stub_CORBA_CreationImplDef(flick_marshal_stream_t _stream, CORBA_CreationImplDef *_data);

extern flick_dispatch_t CORBA_CreationImplDef_server;

CORBA_char *CORBA_CreationImplDef__get_path_name(CORBA_CreationImplDef _obj, CORBA_Environment *_ev);

void CORBA_CreationImplDef__set_path_name(CORBA_CreationImplDef _obj, CORBA_char *path_name, CORBA_Environment *_ev);

CORBA_Policy CORBA_CreationImplDef__get_activation_policy(CORBA_CreationImplDef _obj, CORBA_Environment *_ev);

void CORBA_CreationImplDef__set_activation_policy(CORBA_CreationImplDef _obj, CORBA_Policy activation_policy, CORBA_Environment *_ev);

CORBA_StringSequence *CORBA_CreationImplDef__get_args(CORBA_CreationImplDef _obj, CORBA_Environment *_ev);

void CORBA_CreationImplDef__set_args(CORBA_CreationImplDef _obj, CORBA_StringSequence *args, CORBA_Environment *_ev);

CORBA_StringSequence *CORBA_CreationImplDef__get_env(CORBA_CreationImplDef _obj, CORBA_Environment *_ev);

void CORBA_CreationImplDef__set_env(CORBA_CreationImplDef _obj, CORBA_StringSequence *env, CORBA_Environment *_ev);

CORBA_char *CORBA_CreationImplDef__get_interface_name(CORBA_CreationImplDef _obj, CORBA_Environment *_ev);

void CORBA_CreationImplDef__set_interface_name(CORBA_CreationImplDef _obj, CORBA_char *interface_name, CORBA_Environment *_ev);

CORBA_char *CORBA_CreationImplDef__get_object_name(CORBA_CreationImplDef _obj, CORBA_Environment *_ev);

void CORBA_CreationImplDef__set_object_name(CORBA_CreationImplDef _obj, CORBA_char *object_name, CORBA_Environment *_ev);

CORBA_ReferenceData *CORBA_CreationImplDef__get_id(CORBA_CreationImplDef _obj, CORBA_Environment *_ev);

void CORBA_CreationImplDef__set_id(CORBA_CreationImplDef _obj, CORBA_ReferenceData *id, CORBA_Environment *_ev);

#ifndef _typedef___CORBA_Activator
#define _typedef___CORBA_Activator
typedef CORBA_Object CORBA_Activator;
#endif /* _typedef___CORBA_Activator */

void flick_marshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, const CORBA_Activator *_data);

void flick_unmarshal_stub_CORBA_Activator(flick_marshal_stream_t _stream, CORBA_Activator *_data);

extern flick_dispatch_t CORBA_Activator_server;

CORBA_Object CORBA_Activator_activate(CORBA_Activator _obj, CORBA_ImplementationDef impl, CORBA_Environment *_ev);

void CORBA_Activator_deactivate(CORBA_Activator _obj, CORBA_Object obj, CORBA_ImplementationDef impl, CORBA_Environment *_ev);

#ifndef _typedef___CORBA_ActivationImplDef
#define _typedef___CORBA_ActivationImplDef
typedef CORBA_Object CORBA_ActivationImplDef;
#endif /* _typedef___CORBA_ActivationImplDef */

void flick_marshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, const CORBA_ActivationImplDef *_data);

void flick_unmarshal_stub_CORBA_ActivationImplDef(flick_marshal_stream_t _stream, CORBA_ActivationImplDef *_data);

extern flick_dispatch_t CORBA_ActivationImplDef_server;

CORBA_Activator CORBA_ActivationImplDef__get_activator_obj(CORBA_ActivationImplDef _obj, CORBA_Environment *_ev);

void CORBA_ActivationImplDef__set_activator_obj(CORBA_ActivationImplDef _obj, CORBA_Activator activator_obj, CORBA_Environment *_ev);

CORBA_char *CORBA_ActivationImplDef__get_interface_name(CORBA_ActivationImplDef _obj, CORBA_Environment *_ev);

void CORBA_ActivationImplDef__set_interface_name(CORBA_ActivationImplDef _obj, CORBA_char *interface_name, CORBA_Environment *_ev);

CORBA_char *CORBA_ActivationImplDef__get_object_name(CORBA_ActivationImplDef _obj, CORBA_Environment *_ev);

void CORBA_ActivationImplDef__set_object_name(CORBA_ActivationImplDef _obj, CORBA_char *object_name, CORBA_Environment *_ev);

CORBA_ReferenceData *CORBA_ActivationImplDef__get_id(CORBA_ActivationImplDef _obj, CORBA_Environment *_ev);

void CORBA_ActivationImplDef__set_id(CORBA_ActivationImplDef _obj, CORBA_ReferenceData *id, CORBA_Environment *_ev);

#endif /* _impldef_server_h_ */
