#include "typedef_-client.h"

void flick_marshal_stub_a(flick_marshal_stream_t _stream, const a *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, *_data);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, a *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_c(flick_marshal_stream_t _stream, const c *_data)
{
  flick_iiop_encode_new_glob(1);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, *_data);
  flick_iiop_encode_end_chunk(1);
  flick_iiop_encode_end_glob(1);
}

void flick_unmarshal_stub_c(flick_marshal_stream_t _stream, c *_data)
{
  flick_iiop_decode_new_glob(1);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, *_data);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(1);
}

void flick_unmarshal_stub_c_swap(flick_marshal_stream_t _stream, c *_data)
{
  flick_iiop_decode_new_glob(1);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, *_data);
  flick_iiop_decode_end_chunk(1);
  flick_iiop_decode_end_glob(1);
}

void flick_marshal_stub_d(flick_marshal_stream_t _stream, const d *_data)
{
  flick_cdr_encode_string(*_data, null_flick_free, iiop, 256);
}

void flick_unmarshal_stub_d(flick_marshal_stream_t _stream, d *_data)
{
  flick_cdr_decode_string(*_data, CORBA_flick_alloc, iiop, 256);
}

void flick_unmarshal_stub_d_swap(flick_marshal_stream_t _stream, d *_data)
{
  flick_cdr_swap_decode_string(*_data, CORBA_flick_alloc, iiop, 256);
}

void flick_marshal_stub_e(flick_marshal_stream_t _stream, const e *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  flick_iiop_encode_new_glob(2 * _data->_length);
  flick_iiop_encode_new_chunk(2 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 2 * _data->_length);
  flick_iiop_encode_end_chunk(2 * _data->_length);
  flick_iiop_encode_end_glob(2 * _data->_length);
}

void flick_unmarshal_stub_e(flick_marshal_stream_t _stream, e *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(2 * _data->_length);
  flick_iiop_decode_new_chunk(2 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_short ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 2 * _data->_length);
  flick_iiop_decode_end_chunk(2 * _data->_length);
  flick_iiop_decode_end_glob(2 * _data->_length);
}

void flick_unmarshal_stub_e_swap(flick_marshal_stream_t _stream, e *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  flick_iiop_decode_new_glob(2 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_short ));
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(2);
      flick_cdr_swap_decode_signed16(0, _data->_buffer[_t0_array_iter]);
      flick_iiop_decode_end_chunk(2);
    }
  flick_iiop_decode_end_glob(2 * _data->_length);
}

void flick_marshal_stub_f(flick_marshal_stream_t _stream, const f *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_float32(0, *_data);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_f(flick_marshal_stream_t _stream, f *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_float32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_f_swap(flick_marshal_stream_t _stream, f *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_float32(0, *_data);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_g(flick_marshal_stream_t _stream, const g *_data)
{
  flick_iiop_encode_new_glob(10);
  flick_iiop_encode_new_chunk(10);
  flick_cdr_encode_bcopy(0, *_data, 10);
  flick_iiop_encode_end_chunk(10);
  flick_iiop_encode_end_glob(10);
}

void flick_unmarshal_stub_g(flick_marshal_stream_t _stream, g *_data)
{
  flick_iiop_decode_new_glob(10);
  flick_iiop_decode_new_chunk(10);
  flick_cdr_decode_bcopy(0, *_data, 10);
  flick_iiop_decode_end_chunk(10);
  flick_iiop_decode_end_glob(10);
}

void flick_unmarshal_stub_g_swap(flick_marshal_stream_t _stream, g *_data)
{
  flick_unsigned8_t _t1_array_iter;

  flick_iiop_decode_new_glob(10);
  for (_t1_array_iter = 0; _t1_array_iter < 5; _t1_array_iter++)
    {
      flick_iiop_decode_new_chunk(2);
      flick_cdr_swap_decode_signed16(0, (*_data)[_t1_array_iter]);
      flick_iiop_decode_end_chunk(2);
    }
  flick_iiop_decode_end_glob(10);
}

void flick_marshal_stub_h(flick_marshal_stream_t _stream, const h *_data)
{
  flick_iiop_encode_new_glob(14);
  flick_iiop_encode_new_chunk(4 + 2 * _data->_length);
  flick_cdr_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 5)
    flick_corba_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_cdr_encode_bcopy(4, _data->_buffer, 2 * _data->_length);
  flick_iiop_encode_end_chunk(4 + 2 * _data->_length);
  flick_iiop_encode_end_glob(14);
}

void flick_unmarshal_stub_h(flick_marshal_stream_t _stream, h *_data)
{
  flick_iiop_decode_new_glob(14);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 5)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, iiop);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_new_chunk(2 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_short ));
  flick_cdr_decode_bcopy(0, _data->_buffer, 2 * _data->_length);
  flick_iiop_decode_end_chunk(2 * _data->_length);
  flick_iiop_decode_end_glob(14);
}

void flick_unmarshal_stub_h_swap(flick_marshal_stream_t _stream, h *_data)
{
  CORBA_unsigned_long _t2_array_iter;

  flick_iiop_decode_new_glob(14);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 5)
    flick_corba_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, cdr_swap, iiop);
  flick_iiop_decode_end_chunk(4);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_short ));
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_iiop_decode_new_chunk(2);
      flick_cdr_swap_decode_signed16(0, _data->_buffer[_t2_array_iter]);
      flick_iiop_decode_end_chunk(2);
    }
  flick_iiop_decode_end_glob(14);
}

