#include "complex-1-client.h"

double *op_2(people *arg, CLIENT *_obj)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  double *_return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned int _t1_array_iter;

    _buf_start->Head.msgh_id = 1;
    /* Begin encode phase on parameters */
    if (arg->people_len > (unsigned int) 70000)
      flick_sun_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, mach3mig, mach3mig);
    for (_t1_array_iter = 0; _t1_array_iter < arg->people_len; _t1_array_iter++)
      {
        flick_mach3mig_encode_string(arg->people_val[_t1_array_iter].name, null_flick_free, mach3mig, 50);
        flick_mach3mig_encode_new_glob(43);
        flick_mach3mig_encode_new_chunk_align(40, 2, 0, 0);
        flick_mach3mig_encode_signed32(0, arg->people_val[_t1_array_iter].zip);
        flick_mach3mig_encode_char8(8, arg->people_val[_t1_array_iter].a);
        flick_mach3mig_encode_signed32(16, arg->people_val[_t1_array_iter].ssn);
        flick_mach3mig_encode_char8(24, arg->people_val[_t1_array_iter].sa.sex);
        flick_mach3mig_encode_float32(32, arg->people_val[_t1_array_iter].sa.age);
        flick_mach3mig_encode_end_chunk(40);
        flick_mach3mig_encode_end_glob(43);
      }
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t5_switch_tag;

    _t5_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t5_switch_tag)
      {
      case (signed int) 1025:
        {
          flick_errno = _buf_start->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static double _t7_storage;

                /* Begin decode phase on parameters */
                _return = &_t7_storage;
                flick_mach3mig_decode_new_glob(12);
                flick_mach3mig_decode_new_chunk(12);
                flick_mach3mig_decode_float64(0, *_return);
                flick_mach3mig_decode_end_chunk(12);
                flick_mach3mig_decode_end_glob(12);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

