#include "mig-arrays-server.h"

boolean_t arrays_server(mach_msg_header_t *InHeadP, mach_msg_header_t *OutHeadP)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;

  flick_mach3mig_server_start_decode();
  {
    signed int _t33_switch_tag;

    _t33_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t33_switch_tag)
      {
      case (signed int) 123002:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t34_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(68);
            flick_mach3mig_array_decode_new_chunk(68);
            _t34_array_length = 16;
            flick_mach3mig_array_decode_signed32_type(0, _t34_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(4, _local_foo);
            flick_mach3mig_decode_end_chunk(68);
            flick_mach3mig_decode_end_glob(68);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64_in(_local_target, _local_foo);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123102;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123003:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t36_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(132);
            flick_mach3mig_array_decode_new_chunk(132);
            _t36_array_length = 32;
            flick_mach3mig_array_decode_signed32_type(0, _t36_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(4, _local_foo);
            flick_mach3mig_decode_end_chunk(132);
            flick_mach3mig_decode_end_glob(132);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128_in(_local_target, _local_foo);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123103;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123004:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t38_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(260);
            flick_mach3mig_array_decode_new_chunk(260);
            _t38_array_length = 64;
            flick_mach3mig_array_decode_signed32_type(0, _t38_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(4, _local_foo);
            flick_mach3mig_decode_end_chunk(260);
            flick_mach3mig_decode_end_glob(260);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256_in(_local_target, _local_foo);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123104;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123005:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_foo;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t40_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(516);
            flick_mach3mig_array_decode_new_chunk(516);
            _t40_array_length = 128;
            flick_mach3mig_array_decode_signed32_type(0, _t40_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(4, _local_foo);
            flick_mach3mig_decode_end_chunk(516);
            flick_mach3mig_decode_end_glob(516);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512_in(_local_target, _local_foo);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123105;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123006:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t42_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(1028);
            flick_mach3mig_array_decode_new_chunk(1028);
            _t42_array_length = 256;
            flick_mach3mig_array_decode_signed32_type(0, _t42_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(4, _local_data);
            flick_mach3mig_decode_end_chunk(1028);
            flick_mach3mig_decode_end_glob(1028);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123106;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123007:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t44_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(2052);
            flick_mach3mig_array_decode_new_chunk(2052);
            _t44_array_length = 512;
            flick_mach3mig_array_decode_signed32_type(0, _t44_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(4, _local_data);
            flick_mach3mig_decode_end_chunk(2052);
            flick_mach3mig_decode_end_glob(2052);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_2K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123107;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123008:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t46_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(4100);
            flick_mach3mig_array_decode_new_chunk(4100);
            _t46_array_length = 1024;
            flick_mach3mig_array_decode_signed32_type(0, _t46_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(4, _local_data);
            flick_mach3mig_decode_end_chunk(4100);
            flick_mach3mig_decode_end_glob(4100);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_4K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123108;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123009:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t48_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(8196);
            flick_mach3mig_array_decode_new_chunk(8196);
            _t48_array_length = 2048;
            flick_mach3mig_array_decode_signed32_type(0, _t48_array_length, 1, 0, _type);
            flick_mach3mig_array_decode_msgptr(4, _local_data);
            flick_mach3mig_decode_end_chunk(8196);
            flick_mach3mig_decode_end_glob(8196);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_8K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123109;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123010:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t50_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(16396);
            flick_mach3mig_array_decode_new_chunk(16396);
            _t50_array_length = 4096;
            flick_mach3mig_array_decode_signed32_type(0, _t50_array_length, 1, 0, _long_type);
            flick_mach3mig_array_decode_msgptr(12, _local_data);
            flick_mach3mig_decode_end_chunk(16396);
            flick_mach3mig_decode_end_glob(16396);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_16K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123110;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123011:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t52_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(32780);
            flick_mach3mig_array_decode_new_chunk(32780);
            _t52_array_length = 8192;
            flick_mach3mig_array_decode_signed32_type(0, _t52_array_length, 1, 0, _long_type);
            flick_mach3mig_array_decode_msgptr(12, _local_data);
            flick_mach3mig_decode_end_chunk(32780);
            flick_mach3mig_decode_end_glob(32780);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_32K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123111;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123012:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t54_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(65548);
            flick_mach3mig_array_decode_new_chunk(65548);
            _t54_array_length = 16384;
            flick_mach3mig_array_decode_signed32_type(0, _t54_array_length, 1, 0, _long_type);
            flick_mach3mig_array_decode_msgptr(12, _local_data);
            flick_mach3mig_decode_end_chunk(65548);
            flick_mach3mig_decode_end_glob(65548);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_64K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123112;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123013:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t56_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(131084);
            flick_mach3mig_array_decode_new_chunk(131084);
            _t56_array_length = 32768;
            flick_mach3mig_array_decode_signed32_type(0, _t56_array_length, 1, 0, _long_type);
            flick_mach3mig_array_decode_msgptr(12, _local_data);
            flick_mach3mig_decode_end_chunk(131084);
            flick_mach3mig_decode_end_glob(131084);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_128K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123113;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123014:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t58_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(262156);
            flick_mach3mig_array_decode_new_chunk(262156);
            _t58_array_length = 65536;
            flick_mach3mig_array_decode_signed32_type(0, _t58_array_length, 1, 0, _long_type);
            flick_mach3mig_array_decode_msgptr(12, _local_data);
            flick_mach3mig_decode_end_chunk(262156);
            flick_mach3mig_decode_end_glob(262156);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_256K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123114;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123015:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t60_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(524300);
            flick_mach3mig_array_decode_new_chunk(524300);
            _t60_array_length = 131072;
            flick_mach3mig_array_decode_signed32_type(0, _t60_array_length, 1, 0, _long_type);
            flick_mach3mig_array_decode_msgptr(12, _local_data);
            flick_mach3mig_decode_end_chunk(524300);
            flick_mach3mig_decode_end_glob(524300);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_512K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123115;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123016:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_data;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned int _t62_array_length;

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            flick_mach3mig_array_decode_new_glob(1048588);
            flick_mach3mig_array_decode_new_chunk(1048588);
            _t62_array_length = 262144;
            flick_mach3mig_array_decode_signed32_type(0, _t62_array_length, 1, 0, _long_type);
            flick_mach3mig_array_decode_msgptr(12, _local_data);
            flick_mach3mig_decode_end_chunk(1048588);
            flick_mach3mig_decode_end_glob(1048588);
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_1024K_in(_local_target, _local_data);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123116;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      case (signed int) 123017:
        {
          {
            mach_port_t _local_target;
            unsigned *_local_timer;
            kern_return_t _return;
            mach_port_t _reply_port;
            unsigned _t65_storage[2];

            {
              flick_mach3mig_server_decode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_decode_client(_reply_port, 0, 0, mach3mig);
            /* Begin decode phase on parameters */
            _local_timer = _t65_storage;
            flick_mach3mig_server_end_decode();
            flick_mig_init_environment();
            _return = s_rpc_time(_local_target, _local_timer);
            flick_mach3mig_server_start_encode();
            {
              flick_mach3mig_server_encode_target(_local_target, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
            }
            flick_mach3mig_server_encode_client(_reply_port, 0, 0, mach3mig);
            _buf_start->Head.msgh_id = 123117;
            _buf_start->RetCode = _return;
            switch (_return)
              {
              case KERN_SUCCESS:
                {
                  /* Begin encode phase on parameters */
                  flick_mach3mig_array_encode_new_glob(12);
                  flick_mach3mig_array_encode_new_chunk(12);
                  flick_mach3mig_array_encode_signed32_type(0, 2, 1, 0, _type);
                  flick_mach3mig_array_encode_bcopy(4, _local_timer, 8);
                  flick_mach3mig_encode_end_chunk(12);
                  flick_mach3mig_encode_end_glob(12);
                  break;
                }
              default:
                {
                  flick_mig_encode_system_exception("no data available", mach3mig, mach3mig);
                }
              }
            flick_mach3mig_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_mig_decode_server_error(return 1, FLICK_ERROR_DECODE_SWITCH, mach3mig, mach3mig);
          break;
        }
      }
  }
  return 1;
}
