#include "mig-simple-client.h"

kern_return_t get_time(mach_port_t server_port, int format, int *time)
{
  char _global_buf_start[40];
  void *_buf_end = (void *)&(_global_buf_start[40]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(server_port, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 400;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, format);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t1_switch_tag;

    _t1_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t1_switch_tag)
      {
      case (signed int) 500:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *time);
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

kern_return_t foo_time(mach_port_t server_port, foo_int format, foo_int *time)
{
  char _global_buf_start[40];
  void *_buf_end = (void *)&(_global_buf_start[40]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  kern_return_t _return = 0;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(server_port, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(8);
    _buf_start->Head.msgh_id = 401;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_chunk(8);
    flick_mach3mig_encode_signed32(0, format);
    flick_mach3mig_encode_end_chunk(8);
    flick_mach3mig_encode_end_glob(8);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_mig_decode_client_error(return _ipc_return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t3_switch_tag;

    _t3_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 501:
        {
          _return = _buf_start->RetCode;
          switch (_return)
            {
            case KERN_SUCCESS:
              {
                /* Begin decode phase on parameters */
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *time);
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            default:
              {
                flick_mig_decode_system_exception("no data available", mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_mig_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

