#include "nest-refs-client.h"

ReferenceData *test__get_id(test _obj, CORBA_Environment *_ev)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  ReferenceData *_return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, 'g');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'i');
    flick_mach3mig_encode_char8(56, 'd');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t13_switch_tag;

    flick_mach3mig_decode_new_glob(112);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t13_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t13_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t14_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t14_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t14_switch_tag)
            {
            case '$':
              {
                char _t15_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t15_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t15_switch_tag)
                  {
                  case '<':
                    {
                      char _t16_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t16_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t16_switch_tag)
                        {
                        case '_':
                          {
                            char _t17_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t17_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t17_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t18_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t18_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t18_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t19_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t19_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t19_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t20_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t20_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t20_switch_tag)
                                                {
                                                case '_':
                                                  {
                                                    char _t21_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t21_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t21_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t22_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t22_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch ((char )_t22_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t23_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t23_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch ((char )_t23_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch (_ev->_major)
                                                                        {
                                                                        case CORBA_NO_EXCEPTION:
                                                                          {
                                                                            int _t25_ool_check;

                                                                            /* Begin decode phase on parameters */
                                                                            _return = CORBA_flick_alloc(sizeof(ReferenceData ));
                                                                            _return->_maximum = _return->_length;
                                                                            flick_mach3mig_array_decode_new_chunk(12);
                                                                            flick_mach3mig_array_decode_unsigned8_type(0, _return->_length, !_t25_ool_check, 0, _long_type);
                                                                            _t25_ool_check = _return->_length > 2048;
                                                                            flick_mach3mig_array_decode_end_chunk(12);
                                                                            if (_t25_ool_check)
                                                                              {
                                                                                flick_mach3mig_array_decode_new_chunk(4);
                                                                                flick_mach3mig_array_decode_unsigned32(0, _return->_buffer);
                                                                                flick_mach3mig_array_decode_end_chunk(4);
                                                                                flick_mach3mig_array_decode_end_glob(112);
                                                                              }
                                                                            else
                                                                              {
                                                                                flick_mach3mig_array_decode_end_glob(112);
                                                                                flick_mach3mig_array_decode_new_glob(1 * _return->_length);
                                                                                flick_mach3mig_array_decode_new_chunk(1 * _return->_length);
                                                                                _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
                                                                                flick_mach3mig_array_decode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                                                                flick_mach3mig_array_decode_end_chunk(1 * _return->_length);
                                                                                flick_mach3mig_array_decode_end_glob(1 * _return->_length);
                                                                              }
                                                                            flick_mach3mig_decode_new_glob(3);
                                                                            flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
                                                                            flick_mach3mig_decode_end_chunk(0);
                                                                            flick_mach3mig_decode_end_glob(3);
                                                                            break;
                                                                          }
                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                          {
                                                                            flick_mach3mig_decode_end_glob(112);
                                                                            flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(112);
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(112);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(112);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(112);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

void test__set_id(test _obj, ReferenceData *id, CORBA_Environment *_ev)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t27_ool_check;

    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(84);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, 's');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'i');
    flick_mach3mig_encode_char8(56, 'd');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    _t27_ool_check = id->_length > 2048;
    flick_mach3mig_array_encode_unsigned8_type(72, id->_length, !_t27_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(84);
    if (_t27_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, id->_buffer);
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(88);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(88);
        flick_mach3mig_array_encode_new_glob(1 * id->_length);
        flick_mach3mig_array_encode_new_chunk(1 * id->_length);
        flick_mach3mig_array_encode_bcopy(0, id->_buffer, 1 * id->_length);
        flick_mach3mig_array_encode_end_chunk(1 * id->_length);
        flick_mach3mig_array_encode_end_glob(1 * id->_length);
      }
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t38_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t38_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t38_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t39_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t39_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t39_switch_tag)
            {
            case '<':
              {
                char _t40_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t40_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t40_switch_tag)
                  {
                  case '_':
                    {
                      char _t41_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t41_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t41_switch_tag)
                        {
                        case 's':
                          {
                            char _t42_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t42_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t42_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t43_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t43_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t43_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t44_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t44_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t44_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t45_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t45_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t45_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t46_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t46_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t46_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t47_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t47_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch ((char )_t47_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_end_glob(88);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_mach3mig_decode_end_glob(88);
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(88);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(88);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(88);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(88);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(88);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(88);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(88);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(88);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(88);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(88);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(88);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

OctetSequence *test__get_info(test _obj, CORBA_Environment *_ev)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  OctetSequence *_return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, 'g');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'i');
    flick_mach3mig_encode_char8(56, 'n');
    flick_mach3mig_encode_char8(64, 'f');
    flick_mach3mig_encode_char8(72, 'o');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t63_switch_tag;

    flick_mach3mig_decode_new_glob(128);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t63_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t63_switch_tag)
      {
      case (unsigned int) 12:
        {
          char _t64_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t64_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t64_switch_tag)
            {
            case '$':
              {
                char _t65_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t65_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t65_switch_tag)
                  {
                  case '<':
                    {
                      char _t66_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t66_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t66_switch_tag)
                        {
                        case '_':
                          {
                            char _t67_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t67_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t67_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t68_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t68_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t68_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t69_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t69_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t69_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t70_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t70_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t70_switch_tag)
                                                {
                                                case '_':
                                                  {
                                                    char _t71_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t71_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t71_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t72_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t72_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch ((char )_t72_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t73_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t73_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch ((char )_t73_switch_tag)
                                                                  {
                                                                  case 'f':
                                                                    {
                                                                      char _t74_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t74_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch ((char )_t74_switch_tag)
                                                                        {
                                                                        case 'o':
                                                                          {
                                                                            char _t75_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t75_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch ((char )_t75_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch (_ev->_major)
                                                                                    {
                                                                                    case CORBA_NO_EXCEPTION:
                                                                                      {
                                                                                        int _t77_ool_check;

                                                                                        /* Begin decode phase on parameters */
                                                                                        _return = CORBA_flick_alloc(sizeof(OctetSequence ));
                                                                                        _return->_maximum = _return->_length;
                                                                                        flick_mach3mig_array_decode_new_chunk(12);
                                                                                        flick_mach3mig_array_decode_unsigned8_type(0, _return->_length, !_t77_ool_check, 0, _long_type);
                                                                                        _t77_ool_check = _return->_length > 2048;
                                                                                        flick_mach3mig_array_decode_end_chunk(12);
                                                                                        if (_t77_ool_check)
                                                                                          {
                                                                                            flick_mach3mig_array_decode_new_chunk(4);
                                                                                            flick_mach3mig_array_decode_unsigned32(0, _return->_buffer);
                                                                                            flick_mach3mig_array_decode_end_chunk(4);
                                                                                            flick_mach3mig_array_decode_end_glob(128);
                                                                                          }
                                                                                        else
                                                                                          {
                                                                                            flick_mach3mig_array_decode_end_glob(128);
                                                                                            flick_mach3mig_array_decode_new_glob(1 * _return->_length);
                                                                                            flick_mach3mig_array_decode_new_chunk(1 * _return->_length);
                                                                                            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
                                                                                            flick_mach3mig_array_decode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                                                                            flick_mach3mig_array_decode_end_chunk(1 * _return->_length);
                                                                                            flick_mach3mig_array_decode_end_glob(1 * _return->_length);
                                                                                          }
                                                                                        flick_mach3mig_decode_new_glob(3);
                                                                                        flick_mach3mig_decode_new_chunk_align(0, 2, 0, 0);
                                                                                        flick_mach3mig_decode_end_chunk(0);
                                                                                        flick_mach3mig_decode_end_glob(3);
                                                                                        break;
                                                                                      }
                                                                                    case CORBA_SYSTEM_EXCEPTION:
                                                                                      {
                                                                                        flick_mach3mig_decode_end_glob(128);
                                                                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                        flick_mach3mig_decode_end_glob(128);
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(128);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(128);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(128);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(128);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(128);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(128);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(128);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(128);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(128);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(128);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(128);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(128);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(128);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

void test__set_info(test _obj, OctetSequence *info, CORBA_Environment *_ev)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;

  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t79_ool_check;

    flick_mach3mig_encode_new_glob(104);
    flick_mach3mig_encode_new_chunk(100);
    flick_mach3mig_encode_unsigned32(0, 10);
    flick_mach3mig_encode_char8(8, '_');
    flick_mach3mig_encode_char8(16, 's');
    flick_mach3mig_encode_char8(24, 'e');
    flick_mach3mig_encode_char8(32, 't');
    flick_mach3mig_encode_char8(40, '_');
    flick_mach3mig_encode_char8(48, 'i');
    flick_mach3mig_encode_char8(56, 'n');
    flick_mach3mig_encode_char8(64, 'f');
    flick_mach3mig_encode_char8(72, 'o');
    flick_mach3mig_encode_char8(80, 0);
    /* Begin encode phase on parameters */
    _t79_ool_check = info->_length > 2048;
    flick_mach3mig_array_encode_unsigned8_type(88, info->_length, !_t79_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(100);
    if (_t79_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, info->_buffer);
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(104);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(104);
        flick_mach3mig_array_encode_new_glob(1 * info->_length);
        flick_mach3mig_array_encode_new_chunk(1 * info->_length);
        flick_mach3mig_array_encode_bcopy(0, info->_buffer, 1 * info->_length);
        flick_mach3mig_array_encode_end_chunk(1 * info->_length);
        flick_mach3mig_array_encode_end_glob(1 * info->_length);
      }
    flick_mach3mig_encode_new_glob(3);
    flick_mach3mig_encode_new_chunk_align(0, 2, 0, 0);
    flick_mach3mig_encode_end_chunk(0);
    flick_mach3mig_encode_end_glob(3);
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t92_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t92_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t92_switch_tag)
      {
      case (unsigned int) 11:
        {
          char _t93_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t93_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t93_switch_tag)
            {
            case '<':
              {
                char _t94_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t94_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t94_switch_tag)
                  {
                  case '_':
                    {
                      char _t95_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t95_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t95_switch_tag)
                        {
                        case 's':
                          {
                            char _t96_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t96_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t96_switch_tag)
                              {
                              case 'e':
                                {
                                  char _t97_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t97_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t97_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t98_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t98_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t98_switch_tag)
                                          {
                                          case '_':
                                            {
                                              char _t99_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t99_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t99_switch_tag)
                                                {
                                                case 'i':
                                                  {
                                                    char _t100_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t100_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t100_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t101_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t101_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch ((char )_t101_switch_tag)
                                                            {
                                                            case 'f':
                                                              {
                                                                char _t102_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t102_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch ((char )_t102_switch_tag)
                                                                  {
                                                                  case 'o':
                                                                    {
                                                                      char _t103_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t103_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch ((char )_t103_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch (_ev->_major)
                                                                              {
                                                                              case CORBA_NO_EXCEPTION:
                                                                                {
                                                                                  /* Begin decode phase on parameters */
                                                                                  flick_mach3mig_decode_end_glob(104);
                                                                                  break;
                                                                                }
                                                                              case CORBA_SYSTEM_EXCEPTION:
                                                                                {
                                                                                  flick_mach3mig_decode_end_glob(104);
                                                                                  flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                                  flick_mach3mig_decode_end_glob(104);
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                            flick_mach3mig_decode_end_glob(104);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(104);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(104);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(104);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
}

