#include "program-6-client.h"

int *long_test_50(long_list *arg, CLIENT *_obj)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  int *_return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t1_ool_check;

    _buf_start->Head.msgh_id = 7;
    /* Begin encode phase on parameters */
    _t1_ool_check = arg->long_list_len > 512;
    flick_mach3mig_array_encode_new_glob(16);
    flick_mach3mig_array_encode_new_chunk(12);
    flick_mach3mig_array_encode_signed32_type(0, arg->long_list_len, !_t1_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(12);
    if (_t1_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, arg->long_list_val);
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(16);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(16);
        flick_mach3mig_array_encode_new_glob(4 * arg->long_list_len);
        flick_mach3mig_array_encode_new_chunk(4 * arg->long_list_len);
        flick_mach3mig_array_encode_bcopy(0, arg->long_list_val, 4 * arg->long_list_len);
        flick_mach3mig_array_encode_end_chunk(4 * arg->long_list_len);
        flick_mach3mig_array_encode_end_glob(4 * arg->long_list_len);
      }
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t5_switch_tag;

    _t5_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t5_switch_tag)
      {
      case (signed int) 1031:
        {
          flick_errno = _buf_start->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t7_storage;

                /* Begin decode phase on parameters */
                _return = &_t7_storage;
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

int *sb_test_50(sb_list *arg, CLIENT *_obj)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  int *_return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    unsigned int _t9_array_iter;

    _buf_start->Head.msgh_id = 8;
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_new_glob(32 * arg->sb_list_len);
    for (_t9_array_iter = 0; _t9_array_iter < arg->sb_list_len; _t9_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(32);
        flick_mach3mig_encode_signed32(0, arg->sb_list_val[_t9_array_iter].a.a);
        flick_mach3mig_encode_signed32(8, arg->sb_list_val[_t9_array_iter].a.b);
        flick_mach3mig_encode_signed32(16, arg->sb_list_val[_t9_array_iter].b.a);
        flick_mach3mig_encode_signed32(24, arg->sb_list_val[_t9_array_iter].b.b);
        flick_mach3mig_encode_end_chunk(32);
      }
    flick_mach3mig_encode_end_glob(32 * arg->sb_list_len);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    signed int _t13_switch_tag;

    _t13_switch_tag = _buf_start->Head.msgh_id;
    switch ((signed int )_t13_switch_tag)
      {
      case (signed int) 1032:
        {
          flick_errno = _buf_start->RetCode;
          switch (flick_errno)
            {
            case 0:
              {
                static int _t15_storage;

                /* Begin decode phase on parameters */
                _return = &_t15_storage;
                flick_mach3mig_decode_new_glob(8);
                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_signed32(0, *_return);
                flick_mach3mig_decode_end_chunk(8);
                flick_mach3mig_decode_end_glob(8);
                break;
              }
            case -1:
              {
                flick_sun_decode_system_exception("no data available", mach3mig, mach3mig);
                break;
              }
            default:
              {
                flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
              }
            }
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

