#include "constant-client.h"

void flick_marshal_stub_N(flick_marshal_stream_t _stream, const N *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_N(flick_marshal_stream_t _stream, N *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_E(flick_marshal_stream_t _stream, const E *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->cause);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->cause);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_F(flick_marshal_stream_t _stream, const F *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->type);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->type);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_M_N(flick_marshal_stream_t _stream, const M_N *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_M_N(flick_marshal_stream_t _stream, M_N *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_M_E(flick_marshal_stream_t _stream, const M_E *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->cause);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_M_E(flick_marshal_stream_t _stream, M_E *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->cause);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_M_A_N(flick_marshal_stream_t _stream, const M_A_N *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_M_A_N(flick_marshal_stream_t _stream, M_A_N *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_M_A_E(flick_marshal_stream_t _stream, const M_A_E *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->cause);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_M_A_E(flick_marshal_stream_t _stream, M_A_E *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->cause);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

void flick_marshal_stub_M_A(flick_marshal_stream_t _stream, const M_A *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_M_A(flick_marshal_stream_t _stream, M_A *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

M_A_N M_A_foo(M_A _obj, M_A_N x, M_A_N *y, M_A_N *z, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  M_A_N _return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(44);
    flick_suntcp_encode_new_chunk(44);
    flick_xdr_encode_unsigned32(0, 4);
    flick_xdr_encode_char8(4, 'f');
    flick_xdr_encode_char8(8, 'o');
    flick_xdr_encode_char8(12, 'o');
    flick_xdr_encode_char8(16, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(20, (unsigned int) 0);
    flick_xdr_encode_unsigned32(24, (unsigned int) 0);
    flick_xdr_encode_unsigned32(28, (unsigned int) 0);
    flick_xdr_encode_unsigned32(32, (unsigned int) 0);
    flick_xdr_encode_unsigned32(36, x);
    flick_xdr_encode_unsigned32(40, *z);
    flick_suntcp_encode_end_chunk(44);
    flick_suntcp_encode_end_glob(44);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(68);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_new_chunk(12);
            flick_xdr_decode_unsigned32(0, _return);
            flick_xdr_decode_unsigned32(4, *y);
            flick_xdr_decode_unsigned32(8, *z);
            flick_suntcp_decode_end_chunk(12);
            flick_suntcp_decode_end_glob(68);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(68);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            unsigned int _t75_switch_tag;

            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _t75_switch_tag);
            flick_suntcp_decode_end_chunk(4);
            switch ((unsigned int )_t75_switch_tag)
              {
              case (unsigned int) 14:
                {
                  char _t76_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t76_switch_tag);
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t76_switch_tag)
                    {
                    case 'I':
                      {
                        char _t77_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t77_switch_tag);
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t77_switch_tag)
                          {
                          case 'D':
                            {
                              char _t78_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t78_switch_tag);
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t78_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t79_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t79_switch_tag);
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t79_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t80_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t80_switch_tag);
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t80_switch_tag)
                                            {
                                            case 'M':
                                              {
                                                char _t81_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t81_switch_tag);
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t81_switch_tag)
                                                  {
                                                  case '/':
                                                    {
                                                      char _t82_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t82_switch_tag);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t82_switch_tag)
                                                        {
                                                        case 'A':
                                                          {
                                                            char _t83_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t83_switch_tag);
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t83_switch_tag)
                                                              {
                                                              case '/':
                                                                {
                                                                  char _t84_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t84_switch_tag);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t84_switch_tag)
                                                                    {
                                                                    case 'E':
                                                                      {
                                                                        char _t85_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t85_switch_tag);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t85_switch_tag)
                                                                          {
                                                                          case ':':
                                                                            {
                                                                              char _t86_switch_tag;

                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_char8(0, _t86_switch_tag);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              switch ((char )_t86_switch_tag)
                                                                                {
                                                                                case '1':
                                                                                  {
                                                                                    char _t87_switch_tag;

                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                    flick_xdr_decode_char8(0, _t87_switch_tag);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    switch ((char )_t87_switch_tag)
                                                                                      {
                                                                                      case '.':
                                                                                        {
                                                                                          char _t88_switch_tag;

                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                          flick_xdr_decode_char8(0, _t88_switch_tag);
                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                          switch ((char )_t88_switch_tag)
                                                                                            {
                                                                                            case '0':
                                                                                              {
                                                                                                char _t89_switch_tag;

                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                flick_xdr_decode_char8(0, _t89_switch_tag);
                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                switch ((char )_t89_switch_tag)
                                                                                                  {
                                                                                                  case 0:
                                                                                                    {
                                                                                                      _ev->_id = "IDL:M/A/E:1.0";
                                                                                                      (M_A_E *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(M_A_E ));
                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                      flick_xdr_decode_signed16(0, ((M_A_E *)(_ev->_value._user_except))->cause);
                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                      break;
                                                                                                    }
                                                                                                  default:
                                                                                                    {
                                                                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                      break;
                                                                                                    }
                                                                                                  }
                                                                                                break;
                                                                                              }
                                                                                            default:
                                                                                              {
                                                                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                                break;
                                                                                              }
                                                                                            }
                                                                                          break;
                                                                                        }
                                                                                      default:
                                                                                        {
                                                                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                          break;
                                                                                        }
                                                                                      }
                                                                                    break;
                                                                                  }
                                                                                default:
                                                                                  {
                                                                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                                    break;
                                                                                  }
                                                                                }
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                        break;
                      }
                    }
                  break;
                }
              case (unsigned int) 10:
                {
                  char _t90_switch_tag;

                  flick_suntcp_decode_new_chunk(4);
                  flick_xdr_decode_char8(0, _t90_switch_tag);
                  flick_suntcp_decode_end_chunk(4);
                  switch ((char )_t90_switch_tag)
                    {
                    case 'I':
                      {
                        char _t91_switch_tag;

                        flick_suntcp_decode_new_chunk(4);
                        flick_xdr_decode_char8(0, _t91_switch_tag);
                        flick_suntcp_decode_end_chunk(4);
                        switch ((char )_t91_switch_tag)
                          {
                          case 'D':
                            {
                              char _t92_switch_tag;

                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_char8(0, _t92_switch_tag);
                              flick_suntcp_decode_end_chunk(4);
                              switch ((char )_t92_switch_tag)
                                {
                                case 'L':
                                  {
                                    char _t93_switch_tag;

                                    flick_suntcp_decode_new_chunk(4);
                                    flick_xdr_decode_char8(0, _t93_switch_tag);
                                    flick_suntcp_decode_end_chunk(4);
                                    switch ((char )_t93_switch_tag)
                                      {
                                      case ':':
                                        {
                                          char _t94_switch_tag;

                                          flick_suntcp_decode_new_chunk(4);
                                          flick_xdr_decode_char8(0, _t94_switch_tag);
                                          flick_suntcp_decode_end_chunk(4);
                                          switch ((char )_t94_switch_tag)
                                            {
                                            case 'F':
                                              {
                                                char _t95_switch_tag;

                                                flick_suntcp_decode_new_chunk(4);
                                                flick_xdr_decode_char8(0, _t95_switch_tag);
                                                flick_suntcp_decode_end_chunk(4);
                                                switch ((char )_t95_switch_tag)
                                                  {
                                                  case ':':
                                                    {
                                                      char _t96_switch_tag;

                                                      flick_suntcp_decode_new_chunk(4);
                                                      flick_xdr_decode_char8(0, _t96_switch_tag);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      switch ((char )_t96_switch_tag)
                                                        {
                                                        case '1':
                                                          {
                                                            char _t97_switch_tag;

                                                            flick_suntcp_decode_new_chunk(4);
                                                            flick_xdr_decode_char8(0, _t97_switch_tag);
                                                            flick_suntcp_decode_end_chunk(4);
                                                            switch ((char )_t97_switch_tag)
                                                              {
                                                              case '.':
                                                                {
                                                                  char _t98_switch_tag;

                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _t98_switch_tag);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  switch ((char )_t98_switch_tag)
                                                                    {
                                                                    case '0':
                                                                      {
                                                                        char _t99_switch_tag;

                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _t99_switch_tag);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        switch ((char )_t99_switch_tag)
                                                                          {
                                                                          case 0:
                                                                            {
                                                                              _ev->_id = "IDL:F:1.0";
                                                                              (F *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(F ));
                                                                              flick_suntcp_decode_new_chunk(4);
                                                                              flick_xdr_decode_signed32(0, ((F *)(_ev->_value._user_except))->type);
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              break;
                                                                            }
                                                                          default:
                                                                            {
                                                                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                              break;
                                                                            }
                                                                          }
                                                                        break;
                                                                      }
                                                                    default:
                                                                      {
                                                                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                        break;
                                                                      }
                                                                    }
                                                                  break;
                                                                }
                                                              default:
                                                                {
                                                                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                                  break;
                                                                }
                                                              }
                                                            break;
                                                          }
                                                        default:
                                                          {
                                                            flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                            break;
                                                          }
                                                        }
                                                      break;
                                                    }
                                                  default:
                                                    {
                                                      flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                      break;
                                                    }
                                                  }
                                                break;
                                              }
                                            default:
                                              {
                                                flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                                break;
                                              }
                                            }
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return 0, FLICK_ERROR_VOID_UNION, xdr, suntcp);
                  break;
                }
              }
            flick_suntcp_decode_end_glob(68);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

