#include "nest-refs-client.h"

void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t0_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t1_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t2_array_iter;
#endif /* ENDIANness */

  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_unsigned8(0, _data->_buffer[_t2_array_iter]);
      flick_suntcp_encode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
}

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t3_array_iter;
#endif /* ENDIANness */

  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_unsigned8(0, _data->_buffer[_t3_array_iter]);
      flick_suntcp_decode_end_chunk(4);
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  _data->_buffer = CORBA_flick_alloc(_data->_length * sizeof(CORBA_octet ));
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
}

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data)
{
  flick_suntcp_encode_new_glob(4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
}

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
}

ReferenceData *test__get_id(test _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  ReferenceData *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(52);
    flick_suntcp_encode_new_chunk(52);
    flick_xdr_encode_unsigned32(0, 8);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'i');
    flick_xdr_encode_char8(28, 'd');
    flick_xdr_encode_char8(32, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(52);
    flick_suntcp_encode_end_glob(52);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
#if BYTE_ORDER != BIG_ENDIAN
            CORBA_unsigned_long _t5_array_iter;
#endif /* ENDIANness */

            _return = CORBA_flick_alloc(sizeof(ReferenceData ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            _return->_maximum = _return->_length;
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_suntcp_decode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            for (_t5_array_iter = 0; _t5_array_iter < _return->_length; _t5_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_unsigned8(0, _return->_buffer[_t5_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4 * _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_xdr_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
            flick_suntcp_decode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void test__set_id(test _obj, ReferenceData *id, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    CORBA_unsigned_long _t7_array_iter;
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(56);
    flick_suntcp_encode_new_chunk(56);
    flick_xdr_encode_unsigned32(0, 8);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 's');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'i');
    flick_xdr_encode_char8(28, 'd');
    flick_xdr_encode_char8(32, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(36, (unsigned int) 0);
    flick_xdr_encode_unsigned32(40, (unsigned int) 0);
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, id->_length);
    flick_suntcp_encode_end_chunk(56);
    flick_suntcp_encode_end_glob(56);
    flick_suntcp_encode_new_glob(4 * id->_length);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t7_array_iter = 0; _t7_array_iter < id->_length; _t7_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned8(0, id->_buffer[_t7_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * id->_length);
    flick_xdr_encode_bcopy(0, id->_buffer, 4 * id->_length);
    flick_suntcp_encode_end_chunk(4 * id->_length);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * id->_length);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

OctetSequence *test__get_info(test _obj, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  OctetSequence *_return;

  _return = 0;
  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_suntcp_encode_new_glob(60);
    flick_suntcp_encode_new_chunk(60);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 'g');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'i');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, 'f');
    flick_xdr_encode_char8(36, 'o');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_suntcp_encode_end_chunk(60);
    flick_suntcp_encode_end_glob(60);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return 0, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(8);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
#if BYTE_ORDER != BIG_ENDIAN
            CORBA_unsigned_long _t9_array_iter;
#endif /* ENDIANness */

            _return = CORBA_flick_alloc(sizeof(OctetSequence ));
            flick_suntcp_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _return->_length);
            _return->_maximum = _return->_length;
            flick_suntcp_decode_end_chunk(4);
            flick_suntcp_decode_end_glob(8);
            flick_suntcp_decode_new_glob(4 * _return->_length);
#if BYTE_ORDER != BIG_ENDIAN
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            for (_t9_array_iter = 0; _t9_array_iter < _return->_length; _t9_array_iter++)
              {
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_unsigned8(0, _return->_buffer[_t9_array_iter]);
                flick_suntcp_decode_end_chunk(4);
              }
#else /* BIG_ENDIAN - do a bcopy*/
            flick_suntcp_decode_new_chunk(4 * _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_octet ));
            flick_xdr_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
            flick_suntcp_decode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
            flick_suntcp_decode_end_glob(4 * _return->_length);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(8);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return 0, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(8);
          }
        }
    }
  flick_suntcp_client_end_decode();
  return _return;
}

void test__set_info(test _obj, OctetSequence *info, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_client_start_encode();
  {
    flick_suntcp_client_encode_target(_obj, 0, xdr);
  }
  {
#if BYTE_ORDER != BIG_ENDIAN
    CORBA_unsigned_long _t11_array_iter;
#endif /* ENDIANness */

    flick_suntcp_encode_new_glob(64);
    flick_suntcp_encode_new_chunk(64);
    flick_xdr_encode_unsigned32(0, 10);
    flick_xdr_encode_char8(4, '_');
    flick_xdr_encode_char8(8, 's');
    flick_xdr_encode_char8(12, 'e');
    flick_xdr_encode_char8(16, 't');
    flick_xdr_encode_char8(20, '_');
    flick_xdr_encode_char8(24, 'i');
    flick_xdr_encode_char8(28, 'n');
    flick_xdr_encode_char8(32, 'f');
    flick_xdr_encode_char8(36, 'o');
    flick_xdr_encode_char8(40, 0);
    /* Encode the 'authorization' stuff (We're currently assuming it's ALL NULL) */
    flick_xdr_encode_unsigned32(44, (unsigned int) 0);
    flick_xdr_encode_unsigned32(48, (unsigned int) 0);
    flick_xdr_encode_unsigned32(52, (unsigned int) 0);
    flick_xdr_encode_unsigned32(56, (unsigned int) 0);
    flick_xdr_encode_unsigned32(60, info->_length);
    flick_suntcp_encode_end_chunk(64);
    flick_suntcp_encode_end_glob(64);
    flick_suntcp_encode_new_glob(4 * info->_length);
#if BYTE_ORDER != BIG_ENDIAN
    for (_t11_array_iter = 0; _t11_array_iter < info->_length; _t11_array_iter++)
      {
        flick_suntcp_encode_new_chunk(4);
        flick_xdr_encode_unsigned8(0, info->_buffer[_t11_array_iter]);
        flick_suntcp_encode_end_chunk(4);
      }
#else /* BIG_ENDIAN - do a bcopy*/
    flick_suntcp_encode_new_chunk(4 * info->_length);
    flick_xdr_encode_bcopy(0, info->_buffer, 4 * info->_length);
    flick_suntcp_encode_end_chunk(4 * info->_length);
#endif /* ENDIANness */
    flick_suntcp_encode_end_glob(4 * info->_length);
  }
  flick_suntcp_client_end_encode();
  if (!flick_client_send_request(_obj, _obj->in) ||
      !flick_client_get_reply(_obj, _obj->out))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, xdr, suntcp);
  flick_suntcp_client_start_decode();
    {
      flick_suntcp_decode_new_glob(4);
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _ev->_major);
      flick_suntcp_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_suntcp_decode_end_glob(4);
            flick_corba_decode_system_exception(_ev, xdr, suntcp);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, xdr, suntcp);
            flick_suntcp_decode_end_glob(4);
          }
        }
    }
  flick_suntcp_client_end_decode();
}

