#include "ex-client.h"

CORBA_short A_op(A _obj, CORBA_short b, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_short _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(10);
    flick_trapeze_encode_new_chunk(10);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, b);
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(10);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(22);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(2);
            flick_cdr_decode_signed16(0, _return);
            flick_trapeze_decode_end_chunk(2);
            flick_trapeze_decode_end_glob(22);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(22);
            break;
          }
        default:
          {
            unsigned int _t12_switch_tag;

            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t12_switch_tag);
            flick_trapeze_decode_end_chunk(4);
            switch ((unsigned int )_t12_switch_tag)
              {
              case (unsigned int) 12:
                {
                  unsigned int _t13_switch_tag;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t13_switch_tag);
                  flick_trapeze_decode_end_chunk(4);
                  switch ((unsigned int )_t13_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t14_switch_tag;

                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t14_switch_tag);
                        flick_trapeze_decode_end_chunk(4);
                        switch ((unsigned int )_t14_switch_tag)
                          {
                          case /* A/B: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                            {
                              unsigned int _t15_switch_tag;

                              flick_trapeze_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t15_switch_tag);
                              flick_trapeze_decode_end_chunk(4);
                              switch ((unsigned int )_t15_switch_tag)
                                {
                                case /* 1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                  {
                                    _ev->_id = "IDL:A/B:1.0";
                                    (A_B *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(A_B ));
                                    flick_trapeze_decode_new_chunk(2);
                                    flick_cdr_decode_signed16(0, ((A_B *)(_ev->_value._user_except))->a);
                                    flick_trapeze_decode_end_chunk(2);
                                    flick_trapeze_decode_end_glob(22);
                                    flick_cdr_decode_string(((A_B *)(_ev->_value._user_except))->d, CORBA_flick_alloc, trapeze, 20);
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    flick_trapeze_decode_end_glob(22);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              flick_trapeze_decode_end_glob(22);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        flick_trapeze_decode_end_glob(22);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                  flick_trapeze_decode_end_glob(22);
                  break;
                }
              }
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

