#include "namelens-client.h"

void onewaytest_n(onewaytest _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
}

void onewaytest_n2(onewaytest _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
}

void onewaytest_n23(onewaytest _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 2);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
}

void onewaytest_n234(onewaytest _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 3);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
}

void onewaytest_n2345(onewaytest _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 4);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
}

void onewaytest_n23456(onewaytest _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
}

void onewaytest_n234567(onewaytest _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 6);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
}

void onewaytest_n2345678(onewaytest _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 7);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
}

void onewaytest_n23456789(onewaytest _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 8);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
}

void onewaytest_n234567890(onewaytest _obj, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;

  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 9);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(4);
    }
  flick_trapeze_client_end_decode();
}

