#include "optional-7-client.h"

int_list *op_2(int_list *arg, CLIENT *_obj)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  int_list *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, xdr);
  }
  {
    flick_unsigned8_t _t1_array_len;

    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(12);
    flick_xdr_encode_unsigned32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_xdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    _t1_array_len = *arg != 0;
    flick_xdr_encode_unsigned32(8, _t1_array_len);
    flick_trapeze_encode_end_chunk(12);
    if (_t1_array_len)
      {
        flick_trapeze_encode_new_chunk(4);
        flick_xdr_encode_signed32(0, (*arg)->value);
        flick_trapeze_encode_end_chunk(4);
        flick_trapeze_encode_end_glob(16);
        flick_marshal_stub_int_list(_buf_current, &(*arg)->next);
      }
    else
      {
        flick_trapeze_encode_end_glob(16);
      }
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, xdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(12);
      flick_trapeze_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, flick_errno);
      flick_trapeze_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int_list _t4_storage;
            flick_unsigned8_t _t5_array_len;

            /* Begin decode phase on parameters */
            _return = &_t4_storage;
            flick_trapeze_decode_new_chunk(4);
            flick_xdr_decode_unsigned32(0, _t5_array_len);
            flick_trapeze_decode_end_chunk(4);
            if (_t5_array_len)
              {
                *_return = sun_flick_alloc(_t5_array_len * sizeof(struct int_node ));
                flick_trapeze_decode_new_chunk(4);
                flick_xdr_decode_signed32(0, (*_return)->value);
                flick_trapeze_decode_end_chunk(4);
                flick_trapeze_decode_end_glob(12);
                flick_unmarshal_stub_int_list(_buf_current, &(*_return)->next);
              }
            else
              {
                *_return = 0;
                flick_trapeze_decode_end_glob(12);
              }
            break;
          }
        case -1:
          {
            flick_sun_decode_system_exception("no data available", xdr, trapeze);
            flick_trapeze_decode_end_glob(12);
            break;
          }
        default:
          {
            flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
            flick_trapeze_decode_end_glob(12);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

