#include "parm_-client.h"

CORBA_short test_Short(test _obj, CORBA_short a, CORBA_short *b, CORBA_short *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_short _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, a);
    flick_cdr_encode_signed16(10, *b);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(10);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_signed16(0, _return);
            flick_cdr_decode_signed16(2, *b);
            flick_cdr_decode_signed16(4, *c);
            flick_trapeze_decode_end_chunk(6);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(10);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_long test_Long(test _obj, CORBA_long a, CORBA_long *b, CORBA_long *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, a);
    flick_cdr_encode_signed32(12, *b);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_signed32(0, _return);
            flick_cdr_decode_signed32(4, *b);
            flick_cdr_decode_signed32(8, *c);
            flick_trapeze_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_unsigned_short test_UShort(test _obj, CORBA_unsigned_short a, CORBA_unsigned_short *b, CORBA_unsigned_short *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_unsigned_short _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 2);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned16(8, a);
    flick_cdr_encode_unsigned16(10, *b);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(10);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_unsigned16(0, _return);
            flick_cdr_decode_unsigned16(2, *b);
            flick_cdr_decode_unsigned16(4, *c);
            flick_trapeze_decode_end_chunk(6);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(10);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_unsigned_long test_ULong(test _obj, CORBA_unsigned_long a, CORBA_unsigned_long *b, CORBA_unsigned_long *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_unsigned_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 3);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, a);
    flick_cdr_encode_unsigned32(12, *b);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _return);
            flick_cdr_decode_unsigned32(4, *b);
            flick_cdr_decode_unsigned32(8, *c);
            flick_trapeze_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_float test_Float(test _obj, CORBA_float a, CORBA_float *b, CORBA_float *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_float _return;

  _return = 0.000000;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 4);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_float32(8, a);
    flick_cdr_encode_float32(12, *b);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_float32(0, _return);
            flick_cdr_decode_float32(4, *b);
            flick_cdr_decode_float32(8, *c);
            flick_trapeze_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_boolean test_Boolean(test _obj, CORBA_boolean a, CORBA_boolean *b, CORBA_boolean *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_boolean _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(10);
    flick_trapeze_encode_new_chunk(10);
    flick_cdr_encode_signed32(0, 5);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(8, a);
    flick_cdr_encode_unsigned8(9, *b);
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(10);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(7);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(3);
            flick_cdr_decode_unsigned8(0, _return);
            flick_cdr_decode_unsigned8(1, *b);
            flick_cdr_decode_unsigned8(2, *c);
            flick_trapeze_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(7);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_char test_Char(test _obj, CORBA_char a, CORBA_char *b, CORBA_char *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_char _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(10);
    flick_trapeze_encode_new_chunk(10);
    flick_cdr_encode_signed32(0, 6);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_char8(8, a);
    flick_cdr_encode_char8(9, *b);
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(10);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(7);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(3);
            flick_cdr_decode_char8(0, _return);
            flick_cdr_decode_char8(1, *b);
            flick_cdr_decode_char8(2, *c);
            flick_trapeze_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(7);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_octet test_Octet(test _obj, CORBA_octet a, CORBA_octet *b, CORBA_octet *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_octet _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(10);
    flick_trapeze_encode_new_chunk(10);
    flick_cdr_encode_signed32(0, 7);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned8(8, a);
    flick_cdr_encode_unsigned8(9, *b);
    flick_trapeze_encode_end_chunk(10);
    flick_trapeze_encode_end_glob(10);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(7);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(3);
            flick_cdr_decode_unsigned8(0, _return);
            flick_cdr_decode_unsigned8(1, *b);
            flick_cdr_decode_unsigned8(2, *c);
            flick_trapeze_decode_end_chunk(3);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(7);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

Enumeration test_Enum(test _obj, Enumeration a, Enumeration *b, Enumeration *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  Enumeration _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(16);
    flick_trapeze_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 8);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, a);
    flick_cdr_encode_unsigned32(12, *b);
    flick_trapeze_encode_end_chunk(16);
    flick_trapeze_encode_end_glob(16);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(16);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(12);
            flick_cdr_decode_unsigned32(0, _return);
            flick_cdr_decode_unsigned32(4, *b);
            flick_cdr_decode_unsigned32(8, *c);
            flick_trapeze_decode_end_chunk(12);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(16);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct FStruct test_FixedStruct(test _obj, struct FStruct *a, struct FStruct *b, struct FStruct *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct FStruct _return;

  _return.a = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 9);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed16(8, a->a);
    flick_cdr_encode_signed16(10, b->a);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(10);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(6);
            flick_cdr_decode_signed16(0, _return.a);
            flick_cdr_decode_signed16(2, b->a);
            flick_cdr_decode_signed16(4, c->a);
            flick_trapeze_decode_end_chunk(6);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(10);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct VStruct *test_VarStruct(test _obj, struct VStruct *a, struct VStruct *b, struct VStruct **c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct VStruct *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 10);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(a->a, strlen(a->a));
    flick_trapeze_client_encode_array(b->a, strlen(b->a));
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return->a))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(struct VStruct ));
            flick_trapeze_client_decode_array(_return->a, 0);
            flick_trapeze_client_decode_array(b->a, 0);
            *c = CORBA_flick_alloc(sizeof(struct VStruct ));
            flick_trapeze_client_decode_array((*c)->a, 0);
            flick_trapeze_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
            flick_trapeze_decode_end_glob(4);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct FUnion test_FixedUnion(test _obj, struct FUnion *a, struct FUnion *b, struct FUnion *c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct FUnion _return;

  memset(&_return, 0, sizeof(struct FUnion ));
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(27);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 11);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, a->_d);
    flick_trapeze_encode_end_chunk(12);
    switch (a->_d)
      {
      case 1:
        {
          flick_trapeze_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, a->_u.x);
          flick_trapeze_encode_end_chunk(4);
          break;
        }
      default:
        {
          flick_trapeze_encode_new_chunk(1);
          flick_cdr_encode_char8(0, a->_u.z);
          flick_trapeze_encode_end_chunk(1);
          break;
        }
      }
    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
    flick_cdr_encode_signed32(0, b->_d);
    flick_trapeze_encode_end_chunk(4);
    switch (b->_d)
      {
      case 1:
        {
          flick_trapeze_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, b->_u.x);
          flick_trapeze_encode_end_chunk(4);
          break;
        }
      default:
        {
          flick_trapeze_encode_new_chunk(1);
          flick_cdr_encode_char8(0, b->_u.z);
          flick_trapeze_encode_end_chunk(1);
          break;
        }
      }
    flick_trapeze_encode_end_glob(27);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(34);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return._d);
            flick_trapeze_decode_end_chunk(4);
            switch (_return._d)
              {
              case 1:
                {
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _return._u.x);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _return._u.z);
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, b->_d);
            flick_trapeze_decode_end_chunk(4);
            switch (b->_d)
              {
              case 1:
                {
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, b->_u.x);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, b->_u.z);
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, c->_d);
            flick_trapeze_decode_end_chunk(4);
            switch (c->_d)
              {
              case 1:
                {
                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, c->_u.x);
                  flick_trapeze_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, c->_u.z);
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(34);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct VUnion *test_VarUnion(test _obj, struct VUnion *a, struct VUnion *b, struct VUnion **c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct VUnion *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(13);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 12);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, a->_d);
    flick_trapeze_encode_end_chunk(12);
    switch (a->_d)
      {
      case 1:
        {
          flick_trapeze_client_encode_array(a->_u.a, strlen(a->_u.a));
          flick_trapeze_encode_end_glob(13);
          break;
        }
      default:
        {
          flick_trapeze_encode_new_chunk(1);
          flick_cdr_encode_char8(0, a->_u.z);
          flick_trapeze_encode_end_chunk(1);
          flick_trapeze_encode_end_glob(13);
          break;
        }
      }
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
    flick_cdr_encode_signed32(0, b->_d);
    flick_trapeze_encode_end_chunk(4);
    switch (b->_d)
      {
      case 1:
        {
          flick_trapeze_encode_end_glob(8);
          flick_cdr_encode_longstring(b->_u.a, null_flick_free, trapeze);
          break;
        }
      default:
        {
          flick_trapeze_encode_new_chunk(1);
          flick_cdr_encode_char8(0, b->_u.z);
          flick_trapeze_encode_end_chunk(1);
          flick_trapeze_encode_end_glob(8);
          break;
        }
      }
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return->_u.a))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(9);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(struct VUnion ));
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return->_d);
            flick_trapeze_decode_end_chunk(4);
            switch (_return->_d)
              {
              case 1:
                {
                  flick_trapeze_client_decode_array(_return->_u.a, 0);
                  flick_trapeze_decode_end_glob(9);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _return->_u.z);
                  flick_trapeze_decode_end_chunk(1);
                  flick_trapeze_decode_end_glob(9);
                  break;
                }
              }
            flick_trapeze_decode_new_glob(8);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, b->_d);
            flick_trapeze_decode_end_chunk(4);
            switch (b->_d)
              {
              case 1:
                {
                  flick_trapeze_decode_end_glob(8);
                  flick_cdr_decode_longstring(b->_u.a, CORBA_flick_alloc, trapeze);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, b->_u.z);
                  flick_trapeze_decode_end_chunk(1);
                  flick_trapeze_decode_end_glob(8);
                  break;
                }
              }
            *c = CORBA_flick_alloc(sizeof(struct VUnion ));
            flick_trapeze_decode_new_glob(8);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, (*c)->_d);
            flick_trapeze_decode_end_chunk(4);
            switch ((*c)->_d)
              {
              case 1:
                {
                  flick_trapeze_client_decode_array((*c)->_u.a, 0);
                  break;
                }
              default:
                {
                  flick_trapeze_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, (*c)->_u.z);
                  flick_trapeze_decode_end_chunk(1);
                  break;
                }
              }
            flick_trapeze_decode_end_glob(8);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(9);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
            flick_trapeze_decode_end_glob(9);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_char *test_String(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_char *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 13);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(a, strlen(a));
    flick_trapeze_client_encode_array(*b, strlen(*b));
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(_return, 0);
            flick_trapeze_client_decode_array(*b, 0);
            flick_trapeze_client_decode_array(*c, 0);
            flick_trapeze_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
            flick_trapeze_decode_end_glob(4);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_char *test_BoundString(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_char *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 14);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
    flick_cdr_encode_alloced_string(a, trapeze, 20);
    flick_cdr_encode_string(*b, CORBA_flick_free, trapeze, 20);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_end_glob(4);
            flick_cdr_decode_string(_return, CORBA_flick_alloc, trapeze, 20);
            flick_cdr_decode_string(*b, CORBA_flick_alloc, trapeze, 20);
            flick_cdr_decode_string(*c, CORBA_flick_alloc, trapeze, 20);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
            flick_trapeze_decode_end_glob(4);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

test_arr_slice *test_Array(test _obj, test_arr a, test_arr b, test_arr c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  test_arr_slice *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(88);
    flick_trapeze_encode_new_chunk(88);
    flick_cdr_encode_signed32(0, 15);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, a, 40);
    flick_cdr_encode_bcopy(48, b, 40);
    flick_trapeze_encode_end_chunk(88);
    flick_trapeze_encode_end_glob(88);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      flick_trapeze_decode_end_glob(4);
      flick_trapeze_decode_new_glob(120);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(120);
            _return = CORBA_flick_alloc(10 * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, _return, 40);
            flick_cdr_decode_bcopy(40, b, 40);
            flick_cdr_decode_bcopy(80, c, 40);
            flick_trapeze_decode_end_chunk(120);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
          }
        }
      flick_trapeze_decode_end_glob(120);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

test_seq *test_Sequence(test _obj, test_seq *a, test_seq *b, test_seq **c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  test_seq *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(96);
    flick_trapeze_encode_new_chunk(12 + 4 * a->_length);
    flick_cdr_encode_signed32(0, 16);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, a->_length);
    if (a->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
    flick_cdr_encode_bcopy(12, a->_buffer, 4 * a->_length);
    flick_trapeze_encode_end_chunk(12 + 4 * a->_length);
    flick_trapeze_encode_new_chunk(4 + 4 * b->_length);
    flick_cdr_encode_unsigned32(0, b->_length);
    if (b->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
    flick_cdr_encode_bcopy(4, b->_buffer, 4 * b->_length);
    flick_trapeze_encode_end_chunk(4 + 4 * b->_length);
    flick_trapeze_encode_end_glob(96);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_CTRL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(96);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(test_seq ));
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _return->_length);
            _return->_maximum = _return->_length;
            if (_return->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk(4 * _return->_length);
            _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
            flick_trapeze_decode_end_chunk(4 * _return->_length);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, b->_length);
            b->_maximum = b->_length;
            if (b->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_new_chunk(4 * b->_length);
            b->_buffer = CORBA_flick_alloc(b->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, b->_buffer, 4 * b->_length);
            flick_trapeze_decode_end_chunk(4 * b->_length);
            *c = CORBA_flick_alloc(sizeof(test_seq ));
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, (*c)->_length);
            (*c)->_maximum = (*c)->_length;
            if ((*c)->_length > (unsigned int) 10)
              flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, cdr, trapeze);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_decode_new_glob(40);
            flick_trapeze_decode_new_chunk(4 * (*c)->_length);
            (*c)->_buffer = CORBA_flick_alloc((*c)->_length * sizeof(CORBA_long ));
            flick_cdr_decode_bcopy(0, (*c)->_buffer, 4 * (*c)->_length);
            flick_trapeze_decode_end_chunk(4 * (*c)->_length);
            flick_trapeze_decode_end_glob(40);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(96);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
            flick_trapeze_decode_end_glob(96);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

