#include "string_-client.h"

CORBA_char *test_String(test _obj, CORBA_char *a, CORBA_char **b, CORBA_char **c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_char *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_client_encode_array(a, strlen(a));
    flick_trapeze_client_encode_array(*b, strlen(*b));
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, _return))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_client_decode_array(_return, 0);
            flick_trapeze_client_decode_array(*b, 0);
            flick_trapeze_client_decode_array(*c, 0);
            flick_trapeze_decode_end_glob(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
            flick_trapeze_decode_end_glob(4);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

struct str *test_Struct(test _obj, struct str *a, struct str *b, struct str **c, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  struct str *_return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(8);
    flick_trapeze_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_trapeze_encode_end_chunk(8);
    flick_trapeze_encode_end_glob(8);
    flick_cdr_encode_string(a->s10, null_flick_free, trapeze, 10);
    flick_trapeze_encode_new_glob(7);
    flick_trapeze_encode_new_chunk_align(4, 2, 0, 0);
    flick_cdr_encode_signed32(0, a->a);
    flick_trapeze_encode_end_chunk(4);
    flick_trapeze_encode_end_glob(7);
    flick_cdr_encode_longstring(a->sx, null_flick_free, trapeze);
    flick_trapeze_encode_new_glob(3);
    flick_trapeze_encode_new_chunk_align(2, 1, 0, 0);
    flick_cdr_encode_signed16(0, a->b);
    flick_trapeze_encode_end_chunk(2);
    flick_trapeze_encode_end_glob(3);
    flick_cdr_encode_string(b->s10, null_flick_free, trapeze, 10);
    flick_trapeze_encode_new_glob(9);
    flick_trapeze_encode_new_chunk_align(6, 2, 0, 0);
    flick_cdr_encode_signed32(0, b->a);
    flick_trapeze_client_encode_array(b->sx, strlen(b->sx));
    flick_cdr_encode_signed16(4, b->b);
    flick_trapeze_encode_end_chunk(6);
    flick_trapeze_encode_end_glob(9);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc_receiving_payload(_obj, &_msg_buf, TPZ_UNSOL, b->sx))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(4);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(struct str ));
            flick_trapeze_decode_end_glob(4);
            flick_cdr_decode_string(_return->s10, CORBA_flick_alloc, trapeze, 10);
            flick_trapeze_decode_new_glob(7);
            flick_trapeze_decode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_decode_signed32(0, _return->a);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(7);
            flick_cdr_decode_longstring(_return->sx, CORBA_flick_alloc, trapeze);
            flick_trapeze_decode_new_glob(3);
            flick_trapeze_decode_new_chunk_align(2, 1, 0, 0);
            flick_cdr_decode_signed16(0, _return->b);
            flick_trapeze_decode_end_chunk(2);
            flick_trapeze_decode_end_glob(3);
            flick_cdr_decode_string(b->s10, CORBA_flick_alloc, trapeze, 10);
            flick_trapeze_decode_new_glob(9);
            flick_trapeze_decode_new_chunk_align(6, 2, 0, 0);
            flick_cdr_decode_signed32(0, b->a);
            flick_trapeze_client_decode_array(b->sx, 0);
            flick_cdr_decode_signed16(4, b->b);
            *c = CORBA_flick_alloc(sizeof(struct str ));
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(9);
            flick_cdr_decode_string((*c)->s10, CORBA_flick_alloc, trapeze, 10);
            flick_trapeze_decode_new_glob(9);
            flick_trapeze_decode_new_chunk_align(6, 2, 0, 0);
            flick_cdr_decode_signed32(0, (*c)->a);
            flick_trapeze_client_decode_array((*c)->sx, 0);
            flick_cdr_decode_signed16(4, (*c)->b);
            flick_trapeze_decode_end_chunk(6);
            flick_trapeze_decode_end_glob(9);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            flick_trapeze_decode_end_glob(4);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, trapeze);
            flick_trapeze_decode_end_glob(4);
          }
        }
    }
  flick_trapeze_client_end_decode();
  return _return;
}

