#include "sunstat-server.h"

#include <assert.h>
#include <stdio.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = progname;
	s.vers_num = versname;

	reg_success = flick_server_register(s, &progname_2);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
flick_operation_success_t progname_2(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_CLIENT _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  {
    signed int _t4_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_decode_new_chunk(4);
    flick_xdr_decode_signed32(0, _t4_switch_tag);
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t4_switch_tag)
      {
      case (signed int) 1:
        {
          {
            directory *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            directory _t5_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, xdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_xdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_arg = &_t5_storage;
            flick_xdr_decode_unsigned32(4, _local_arg->directory_len);
            flick_trapeze_server_decode_array(_local_arg->directory_val, sizeof(struct entry ) * _local_arg->directory_len);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_sun_init_environment();
            _return = dirlst_2(_local_arg, _obj);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, xdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_trapeze_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, trapeze);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 2:
        {
          {
            longlist *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            longlist _t6_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, xdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_xdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_arg = &_t6_storage;
            flick_xdr_decode_unsigned32(4, _local_arg->longlist_len);
            flick_trapeze_server_decode_array(_local_arg->longlist_val, 4 * _local_arg->longlist_len);
#if BYTE_ORDER != BIG_ENDIAN
            flick_trapeze_array_swap32(_local_arg->longlist_val, 4 * _local_arg->longlist_len);
#endif /* ENDIANness */
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_sun_init_environment();
            _return = lng_2(_local_arg, _obj);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, xdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_trapeze_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, trapeze);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      case (signed int) 3:
        {
          {
            structlist *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            structlist _t7_storage;

            {
              flick_trapeze_server_decode_target(_obj, 0, xdr);
            }
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_xdr_decode_unsigned32(0, _replytoken);
            /* Begin decode phase on parameters */
            _local_arg = &_t7_storage;
            flick_xdr_decode_unsigned32(4, _local_arg->structlist_len);
            flick_trapeze_server_decode_array(_local_arg->structlist_val, sizeof(struct outer ) * _local_arg->structlist_len);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_sun_init_environment();
            _return = strct_2(_local_arg, _obj);
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, xdr);
            }
            flick_trapeze_encode_new_glob(8);
            flick_trapeze_encode_new_chunk(4);
            flick_xdr_encode_signed32(0, flick_errno);
            flick_trapeze_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_trapeze_encode_new_chunk(4);
                  flick_xdr_encode_signed32(0, *_return);
                  flick_trapeze_encode_end_chunk(4);
                  break;
                }
              case -1:
                {
                  flick_sun_encode_system_exception("no data available", xdr, trapeze);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_VIRTUAL_UNION, xdr, trapeze);
                }
              }
            flick_trapeze_encode_end_glob(8);
            flick_trapeze_server_end_encode();
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return FLICK_OPERATION_SUCCESS, FLICK_ERROR_DECODE_SWITCH, xdr, trapeze);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
}
