#include "complex-client.h"

void flick_marshal_stub_person(flick_marshal_stream_t _stream, const struct person *_data)
{
  flick_fluke_encode_string(_data->name, null_flick_free, fluke, 200);
}

void flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_fluke_decode_string(_data->name, sun_flick_alloc, fluke, 200);
}

void flick_marshal_stub_people(flick_marshal_stream_t _stream, const people *_data)
{
  unsigned int _t0_array_iter;

  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->people_len);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->people_len; _t0_array_iter++)
    {
      flick_fluke_encode_string(_data->people_val[_t0_array_iter].name, null_flick_free, fluke, 200);
    }
}

void flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t1_array_iter;

  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->people_len);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  _data->people_val = sun_flick_alloc(_data->people_len * sizeof(struct person ));
  for (_t1_array_iter = 0; _t1_array_iter < _data->people_len; _t1_array_iter++)
    {
      flick_fluke_decode_string(_data->people_val[_t1_array_iter].name, sun_flick_alloc, fluke, 200);
    }
}

void *op_2(people *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  void *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    unsigned int _t3_array_iter;

    flick_fluke_encode_new_glob(8);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, 1);
    /* Begin encode phase on parameters */
    flick_fluke_encode_unsigned32(4, arg->people_len);
    flick_fluke_encode_end_chunk(8);
    flick_fluke_encode_end_glob(8);
    for (_t3_array_iter = 0; _t3_array_iter < arg->people_len; _t3_array_iter++)
      {
        flick_fluke_encode_string(arg->people_val[_t3_array_iter].name, null_flick_free, fluke, 200);
      }
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(4);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static char _t5_storage;

          /* Begin decode phase on parameters */
          _return = &_t5_storage;
          flick_fluke_decode_end_glob(4);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(4);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(4);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

