#ifndef _dif2_server_h_
#define _dif2_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#include <fluke/flick.h>

#ifndef _typedef___ex1
#define _typedef___ex1
typedef struct ex1_struct ex1;
#endif /* _typedef___ex1 */

void flick_marshal_stub_ex1(flick_marshal_stream_t _stream, const ex1 *_data);

void flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data);

extern flick_dispatch_t ex1_server;

void ex1_server_op0(ex1 *_obj, mom_exc_t *_ev);

float ex1_server_op1(ex1 *_obj, float f, double *d, oskit_s32_t *l, mom_exc_t *_ev);

double ex1_server_op2(ex1 *_obj, double d, oskit_s32_t *l, oskit_s16_t *s, mom_exc_t *_ev);

oskit_s32_t ex1_server_op3(ex1 *_obj, oskit_s32_t l, oskit_s16_t *s, oskit_u32_t *ul, mom_exc_t *_ev);

oskit_s16_t ex1_server_op4(ex1 *_obj, oskit_s16_t s, oskit_u32_t *ul, oskit_u16_t *us, mom_exc_t *_ev);

oskit_u32_t ex1_server_op5(ex1 *_obj, oskit_u32_t *ul, oskit_u16_t us, char *c, oskit_bool_t b, mom_exc_t *_ev);

oskit_u16_t ex1_server_op6(ex1 *_obj, oskit_u16_t *us, char *c, mom_exc_t *_ev);

#ifndef _typedef___ex2
#define _typedef___ex2
typedef struct ex2_struct ex2;
#endif /* _typedef___ex2 */

void flick_marshal_stub_ex2(flick_marshal_stream_t _stream, const ex2 *_data);

void flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data);

extern flick_dispatch_t ex2_server;

char ex2_server_op7(ex2 *_obj, char c, oskit_bool_t *b, oskit_u8_t *o, mom_exc_t *_ev);

oskit_bool_t ex2_server_op8(ex2 *_obj, oskit_bool_t *b, oskit_u8_t o, mom_exc_t *_ev);

oskit_u8_t ex2_server_op9(ex2 *_obj, oskit_u8_t *o, char **s, const char *ls, oskit_s32_t *l, mom_exc_t *_ev);

char *ex2_server_op10(ex2 *_obj, const char *s, char **ls, mom_exc_t *_ev);

char *ex2_server_op11(ex2 *_obj, char **ls, oskit_s32_t *l, mom_exc_t *_ev);

oskit_s32_t ex2_server_op12(ex2 *_obj, oskit_s32_t l, mom_exc_t *_ev);

void ex2_server_op0(ex2 *_obj, mom_exc_t *_ev);

float ex2_server_op1(ex2 *_obj, float f, double *d, oskit_s32_t *l, mom_exc_t *_ev);

double ex2_server_op2(ex2 *_obj, double d, oskit_s32_t *l, oskit_s16_t *s, mom_exc_t *_ev);

oskit_s32_t ex2_server_op3(ex2 *_obj, oskit_s32_t l, oskit_s16_t *s, oskit_u32_t *ul, mom_exc_t *_ev);

oskit_s16_t ex2_server_op4(ex2 *_obj, oskit_s16_t s, oskit_u32_t *ul, oskit_u16_t *us, mom_exc_t *_ev);

oskit_u32_t ex2_server_op5(ex2 *_obj, oskit_u32_t *ul, oskit_u16_t us, char *c, oskit_bool_t b, mom_exc_t *_ev);

oskit_u16_t ex2_server_op6(ex2 *_obj, oskit_u16_t *us, char *c, mom_exc_t *_ev);

#ifndef _typedef___ex3
#define _typedef___ex3
typedef struct ex3_struct ex3;
#endif /* _typedef___ex3 */

void flick_marshal_stub_ex3(flick_marshal_stream_t _stream, const ex3 *_data);

void flick_unmarshal_stub_ex3(flick_marshal_stream_t _stream, ex3 *_data);

extern flick_dispatch_t ex3_server;

float ex3_server__get_float_attribute(ex3 *_obj, mom_exc_t *_ev);

double ex3_server__get_double_attribute(ex3 *_obj, mom_exc_t *_ev);

void ex3_server__set_double_attribute(ex3 *_obj, double double_attribute, mom_exc_t *_ev);

oskit_s32_t ex3_server__get_long_attribute(ex3 *_obj, mom_exc_t *_ev);

oskit_s16_t ex3_server__get_short_attribute(ex3 *_obj, mom_exc_t *_ev);

void ex3_server__set_short_attribute(ex3 *_obj, oskit_s16_t short_attribute, mom_exc_t *_ev);

oskit_u32_t ex3_server__get_unsigned_long_attribute(ex3 *_obj, mom_exc_t *_ev);

void ex3_server_op0(ex3 *_obj, mom_exc_t *_ev);

float ex3_server_op1(ex3 *_obj, float f, double *d, oskit_s32_t *l, mom_exc_t *_ev);

double ex3_server_op2(ex3 *_obj, double d, oskit_s32_t *l, oskit_s16_t *s, mom_exc_t *_ev);

oskit_s32_t ex3_server_op3(ex3 *_obj, oskit_s32_t l, oskit_s16_t *s, oskit_u32_t *ul, mom_exc_t *_ev);

oskit_s16_t ex3_server_op4(ex3 *_obj, oskit_s16_t s, oskit_u32_t *ul, oskit_u16_t *us, mom_exc_t *_ev);

oskit_u32_t ex3_server_op5(ex3 *_obj, oskit_u32_t *ul, oskit_u16_t us, char *c, oskit_bool_t b, mom_exc_t *_ev);

oskit_u16_t ex3_server_op6(ex3 *_obj, oskit_u16_t *us, char *c, mom_exc_t *_ev);

#ifndef _typedef___ex4
#define _typedef___ex4
typedef struct ex4_struct ex4;
#endif /* _typedef___ex4 */

void flick_marshal_stub_ex4(flick_marshal_stream_t _stream, const ex4 *_data);

void flick_unmarshal_stub_ex4(flick_marshal_stream_t _stream, ex4 *_data);

extern flick_dispatch_t ex4_server;

oskit_u16_t ex4_server__get_unsigned_short_attribute(ex4 *_obj, mom_exc_t *_ev);

void ex4_server__set_unsigned_short_attribute(ex4 *_obj, oskit_u16_t unsigned_short_attribute, mom_exc_t *_ev);

char ex4_server__get_char_attribute(ex4 *_obj, mom_exc_t *_ev);

oskit_bool_t ex4_server__get_boolean_attribute(ex4 *_obj, mom_exc_t *_ev);

void ex4_server__set_boolean_attribute(ex4 *_obj, oskit_bool_t boolean_attribute, mom_exc_t *_ev);

oskit_u8_t ex4_server__get_octet_attribute(ex4 *_obj, mom_exc_t *_ev);

char *ex4_server__get_string_attribute(ex4 *_obj, mom_exc_t *_ev);

void ex4_server__set_string_attribute(ex4 *_obj, const char *string_attribute, mom_exc_t *_ev);

char *ex4_server__get_limited_string_attribute(ex4 *_obj, mom_exc_t *_ev);

char ex4_server_op7(ex4 *_obj, char c, oskit_bool_t *b, oskit_u8_t *o, mom_exc_t *_ev);

oskit_bool_t ex4_server_op8(ex4 *_obj, oskit_bool_t *b, oskit_u8_t o, mom_exc_t *_ev);

oskit_u8_t ex4_server_op9(ex4 *_obj, oskit_u8_t *o, char **s, const char *ls, oskit_s32_t *l, mom_exc_t *_ev);

char *ex4_server_op10(ex4 *_obj, const char *s, char **ls, mom_exc_t *_ev);

char *ex4_server_op11(ex4 *_obj, char **ls, oskit_s32_t *l, mom_exc_t *_ev);

oskit_s32_t ex4_server_op12(ex4 *_obj, oskit_s32_t l, mom_exc_t *_ev);

void ex4_server_op0(ex4 *_obj, mom_exc_t *_ev);

float ex4_server_op1(ex4 *_obj, float f, double *d, oskit_s32_t *l, mom_exc_t *_ev);

double ex4_server_op2(ex4 *_obj, double d, oskit_s32_t *l, oskit_s16_t *s, mom_exc_t *_ev);

oskit_s32_t ex4_server_op3(ex4 *_obj, oskit_s32_t l, oskit_s16_t *s, oskit_u32_t *ul, mom_exc_t *_ev);

oskit_s16_t ex4_server_op4(ex4 *_obj, oskit_s16_t s, oskit_u32_t *ul, oskit_u16_t *us, mom_exc_t *_ev);

oskit_u32_t ex4_server_op5(ex4 *_obj, oskit_u32_t *ul, oskit_u16_t us, char *c, oskit_bool_t b, mom_exc_t *_ev);

oskit_u16_t ex4_server_op6(ex4 *_obj, oskit_u16_t *us, char *c, mom_exc_t *_ev);

float ex4_server__get_float_attribute(ex4 *_obj, mom_exc_t *_ev);

double ex4_server__get_double_attribute(ex4 *_obj, mom_exc_t *_ev);

void ex4_server__set_double_attribute(ex4 *_obj, double double_attribute, mom_exc_t *_ev);

oskit_s32_t ex4_server__get_long_attribute(ex4 *_obj, mom_exc_t *_ev);

oskit_s16_t ex4_server__get_short_attribute(ex4 *_obj, mom_exc_t *_ev);

void ex4_server__set_short_attribute(ex4 *_obj, oskit_s16_t short_attribute, mom_exc_t *_ev);

oskit_u32_t ex4_server__get_unsigned_long_attribute(ex4 *_obj, mom_exc_t *_ev);

#endif /* _dif2_server_h_ */
