#ifndef _nest_refs_server_h_
#define _nest_refs_server_h_

#include <flick/link/fluke.h>
#include <flick/encode/fluke.h>
#include <flick/pres/mom.h>

#ifndef _typedef___CORBA_sequence_octet
#define _typedef___CORBA_sequence_octet
typedef struct CORBA_sequence_octet {
  oskit_u32_t _maximum;
  oskit_u32_t _length;
  oskit_u8_t *_buffer;
} CORBA_sequence_octet;
#endif /* _typedef___CORBA_sequence_octet */

#ifndef _typedef___OctetSequence
#define _typedef___OctetSequence
typedef struct CORBA_sequence_octet OctetSequence;
#endif /* _typedef___OctetSequence */

void flick_marshal_stub_OctetSequence(flick_marshal_stream_t _stream, const OctetSequence *_data);

void flick_unmarshal_stub_OctetSequence(flick_marshal_stream_t _stream, OctetSequence *_data);

#ifndef _typedef___ReferenceData
#define _typedef___ReferenceData
typedef OctetSequence ReferenceData;
#endif /* _typedef___ReferenceData */

void flick_marshal_stub_ReferenceData(flick_marshal_stream_t _stream, const ReferenceData *_data);

void flick_unmarshal_stub_ReferenceData(flick_marshal_stream_t _stream, ReferenceData *_data);

#include <fluke/flick.h>

#ifndef _typedef___test
#define _typedef___test
typedef struct test_struct test;
#endif /* _typedef___test */

void flick_marshal_stub_test(flick_marshal_stream_t _stream, const test *_data);

void flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data);

extern flick_dispatch_t test_server;

ReferenceData *test_server__get_id(test *_obj, mom_exc_t *_ev);

void test_server__set_id(test *_obj, const ReferenceData *id, mom_exc_t *_ev);

OctetSequence *test_server__get_info(test *_obj, mom_exc_t *_ev);

void test_server__set_info(test *_obj, const OctetSequence *info, mom_exc_t *_ev);

#endif /* _nest_refs_server_h_ */
