#include "oneway-server.h"

void flick_marshal_stub_onewaytest(flick_marshal_stream_t _stream, const onewaytest *_data)
{
}

void flick_unmarshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
}

mom_dispatch_action_t onewaytest_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t11_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t11_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t11_switch_tag)
      {
      case req_onewaytest_shortlong:
        {
          {
            onewaytest *_obj;
            oskit_s32_t *_local_x;
            mom_exc_t *_ev;
            oskit_s16_t _return = 0;
            oskit_s32_t _t12_storage;
            mom_exc_t _t13_storage;

            _obj = (onewaytest *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_x = &_t12_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_local_x);
            _ev = &_t13_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = onewaytest_server_shortlong(_obj, _local_x, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(12);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8);
                  flick_fluke_encode_signed16(0, _return);
                  flick_fluke_encode_signed32(4, *_local_x);
                  flick_fluke_encode_end_chunk(8);
                  flick_fluke_encode_end_glob(12);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(12);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(12);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_onewaytest_voidlong:
        {
          {
            onewaytest *_obj;
            oskit_s32_t _local_x;
            mom_exc_t *_ev;
            mom_exc_t _t14_storage;

            _obj = (onewaytest *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_x);
            _ev = &_t14_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            onewaytest_server_voidlong(_obj, _local_x, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(4);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_onewaytest_onewaylong:
        {
          {
            onewaytest *_obj;
            oskit_s32_t _local_x;
            mom_exc_t *_ev;
            mom_exc_t _t15_storage;

            _obj = (onewaytest *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _local_x);
            _ev = &_t15_storage;
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            onewaytest_server_onewaylong(_obj, _local_x, _ev);
            return FLICK_OPERATION_SUCCESS_NOREPLY;
          }
          break;
        }
      case req_onewaytest_onewaystring:
        {
          {
            onewaytest *_obj;
            char *_local_x;
            mom_exc_t *_ev;
            mom_exc_t _t16_storage;

            _obj = (onewaytest *)_dispatch_obj;
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_auto_string(_local_x, auto_flick_alloc, fluke);
            _ev = &_t16_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            onewaytest_server_onewaystring(_obj, _local_x, _ev);
            return FLICK_OPERATION_SUCCESS_NOREPLY;
          }
          break;
        }
      case req_onewaytest_stringreturn:
        {
          {
            onewaytest *_obj;
            mom_exc_t *_ev;
            char *_return = 0;
            mom_exc_t _t17_storage;

            _obj = (onewaytest *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _ev = &_t17_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = onewaytest_server_stringreturn(_obj, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(4);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_onewaytest_longstring:
        {
          {
            onewaytest *_obj;
            char **_local_x;
            mom_exc_t *_ev;
            oskit_s32_t _return = 0;
            char *_t18_storage;
            mom_exc_t _t19_storage;

            _obj = (onewaytest *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_x = &_t18_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_longstring(*_local_x, mom_flick_alloc, fluke);
            _ev = &_t19_storage;
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = onewaytest_server_longstring(_obj, _local_x, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, _return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  flick_fluke_encode_longstring(*_local_x, mom_flick_free, fluke);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      case req_onewaytest_stringlong:
        {
          {
            onewaytest *_obj;
            oskit_s32_t *_local_x;
            mom_exc_t *_ev;
            char *_return = 0;
            oskit_s32_t _t20_storage;
            mom_exc_t _t21_storage;

            _obj = (onewaytest *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_x = &_t20_storage;
            _ev = &_t21_storage;
            flick_fluke_decode_end_glob(8);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = onewaytest_server_stringlong(_obj, _local_x, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(4);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_end_glob(4);
                  flick_fluke_encode_longstring(_return, mom_flick_free, fluke);
                  flick_fluke_encode_new_glob(7);
                  flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
                  flick_fluke_encode_signed32(0, *_local_x);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(7);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(4);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(4);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
