#include "optional-5-client.h"

void flick_marshal_stub_opt_int(flick_marshal_stream_t _stream, const opt_int *_data)
{
  flick_unsigned8_t _t0_array_len;

  _t0_array_len = *_data != 0;
  flick_fluke_encode_new_glob(8);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _t0_array_len);
  flick_fluke_encode_end_chunk(4);
  if (_t0_array_len)
    {
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, **_data);
      flick_fluke_encode_end_chunk(4);
    }
  else
    {
    }
  flick_fluke_encode_end_glob(8);
}

void flick_unmarshal_stub_opt_int(flick_marshal_stream_t _stream, opt_int *_data)
{
  flick_unsigned8_t _t1_array_len;

  flick_fluke_decode_new_glob(8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t1_array_len);
  flick_fluke_decode_end_chunk(4);
  if (_t1_array_len)
    {
      *_data = sun_flick_alloc(_t1_array_len * sizeof(int ));
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, **_data);
      flick_fluke_decode_end_chunk(4);
    }
  else
    {
      *_data = 0;
    }
  flick_fluke_decode_end_glob(8);
}

int *op_2(opt_int *arg, CLIENT *_obj)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  flick_fluke_client_start_encode();
  {
    flick_unsigned8_t _t3_array_len;

    flick_fluke_encode_new_glob(12);
    flick_fluke_encode_new_chunk(8);
    flick_fluke_encode_unsigned32(0, 1);
    /* Begin encode phase on parameters */
    _t3_array_len = *arg != 0;
    flick_fluke_encode_unsigned32(4, _t3_array_len);
    flick_fluke_encode_end_chunk(8);
    if (_t3_array_len)
      {
        flick_fluke_encode_new_chunk(4);
        flick_fluke_encode_signed32(0, **arg);
        flick_fluke_encode_end_chunk(4);
      }
    else
      {
      }
    flick_fluke_encode_end_glob(12);
  }
  flick_fluke_client_end_encode();
  _rc = flick_client_send_request_get_reply(_obj, _stream);
  if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
    flick_sun_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, fluke, fluke);
  flick_fluke_client_start_decode();
  {
    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, flick_errno);
    flick_fluke_decode_end_chunk(4);
    switch (flick_errno)
      {
      case 0:
        {
          static int _t5_storage;

          /* Begin decode phase on parameters */
          _return = &_t5_storage;
          flick_fluke_decode_new_chunk(4);
          flick_fluke_decode_signed32(0, *_return);
          flick_fluke_decode_end_chunk(4);
          flick_fluke_decode_end_glob(8);
          break;
        }
      case -1:
        {
          flick_fluke_decode_end_glob(8);
          flick_sun_decode_system_exception("no data available", fluke, fluke);
          break;
        }
      default:
        {
          flick_sun_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
          flick_fluke_decode_end_glob(8);
        }
      }
  }
  flick_fluke_client_end_decode();
  return _return;
}

