#include "program-2-server.h"

void flick_marshal_stub_parm(flick_marshal_stream_t _stream, const struct parm *_data)
{
  flick_fluke_encode_new_glob(4);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _data->data.data_len);
  if (_data->data.data_len > (unsigned int) 100000)
    flick_sun_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(4 * _data->data.data_len);
  flick_fluke_encode_new_chunk(4 * _data->data.data_len);
  flick_fluke_encode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_fluke_encode_end_chunk(4 * _data->data.data_len);
  flick_fluke_encode_end_glob(4 * _data->data.data_len);
}

void flick_unmarshal_stub_parm(flick_marshal_stream_t _stream, struct parm *_data)
{
  flick_fluke_decode_new_glob(4);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->data.data_len);
  if (_data->data.data_len > (unsigned int) 100000)
    flick_sun_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(4 * _data->data.data_len);
  flick_fluke_decode_new_chunk(4 * _data->data.data_len);
  _data->data.data_val = sun_flick_alloc(_data->data.data_len * sizeof(int ));
  flick_fluke_decode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_fluke_decode_end_chunk(4 * _data->data.data_len);
  flick_fluke_decode_end_glob(4 * _data->data.data_len);
}

mom_dispatch_action_t progname_1(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t2_switch_tag;

    flick_fluke_decode_new_glob(8);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t2_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t2_switch_tag)
      {
      case (signed int) 10:
        {
          {
            struct parm *_local_arg;
            struct svc_req *_obj;
            int *_return = 0;
            struct parm _t3_storage;

            _obj = (struct svc_req *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_arg = &_t3_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_arg->data.data_len);
            if (_local_arg->data.data_len > (unsigned int) 100000)
              flick_sun_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * _local_arg->data.data_len);
            flick_fluke_decode_new_chunk(4 * _local_arg->data.data_len);
            _local_arg->data.data_val = sun_flick_alloc(_local_arg->data.data_len * sizeof(int ));
            flick_fluke_decode_bcopy(0, _local_arg->data.data_val, 4 * _local_arg->data.data_len);
            flick_fluke_decode_end_chunk(4 * _local_arg->data.data_len);
            flick_fluke_decode_end_glob(4 * _local_arg->data.data_len);
            flick_fluke_server_end_decode();
            flick_sun_init_environment();
            _return = op_1(_local_arg, _obj);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(8);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, flick_errno);
            flick_fluke_encode_end_chunk(4);
            switch (flick_errno)
              {
              case 0:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(4);
                  flick_fluke_encode_signed32(0, *_return);
                  flick_fluke_encode_end_chunk(4);
                  flick_fluke_encode_end_glob(8);
                  break;
                }
              case -1:
                {
                  flick_fluke_encode_end_glob(8);
                  flick_sun_encode_system_exception("no data available", fluke, fluke);
                  break;
                }
              default:
                {
                  flick_sun_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(8);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_sun_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(8);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
