#include "sequence_-server.h"

void flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data)
{
  flick_fluke_encode_new_glob(44);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length);
  if (_data->_length > (unsigned int) 10)
    flick_mom_encode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  mom_flick_free(_data->_buffer);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
}

void flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data)
{
  flick_fluke_decode_new_glob(44);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length);
  _data->_maximum = _data->_length;
  if (_data->_length > (unsigned int) 10)
    flick_mom_decode_mu_error(return, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  _data->_buffer = mom_flick_alloc(_data->_length * sizeof(oskit_s32_t ));
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
}

void flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq *_data)
{
}

void flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
}

mom_dispatch_action_t TestSeq_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  {
    signed int _t3_switch_tag;

    flick_fluke_decode_new_glob(48);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t3_switch_tag);
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case req_TestSeq_Sequencer:
        {
          {
            TestSeq *_obj;
            seq *_local_a;
            mom_exc_t *_ev;
            oskit_s16_t _return = 0;
            seq _t4_storage;
            mom_exc_t _t5_storage;

            _obj = (TestSeq *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _local_a = &_t4_storage;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_a->_length);
            _local_a->_maximum = _local_a->_length;
            if (_local_a->_length > (unsigned int) 10)
              flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_new_chunk(4 * _local_a->_length);
            _local_a->_buffer = mom_flick_alloc(_local_a->_length * sizeof(oskit_s32_t ));
            flick_fluke_decode_bcopy(0, _local_a->_buffer, 4 * _local_a->_length);
            flick_fluke_decode_end_chunk(4 * _local_a->_length);
            _ev = &_t5_storage;
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _return = TestSeq_server_Sequencer(_obj, _local_a, _ev);
            flick_fluke_server_start_encode();
            flick_fluke_encode_new_glob(52);
            flick_fluke_encode_new_chunk(4);
            flick_fluke_encode_signed32(0, _ev->_type);
            flick_fluke_encode_end_chunk(4);
            switch (_ev->_type)
              {
              case exc_mom_no_exception:
                {
                  /* Begin encode phase on parameters */
                  flick_fluke_encode_new_chunk(8 + 4 * _local_a->_length);
                  flick_fluke_encode_signed16(0, _return);
                  flick_fluke_encode_unsigned32(4, _local_a->_length);
                  if (_local_a->_length > (unsigned int) 10)
                    flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_OUT_OF_BOUNDS, fluke, fluke);
                  flick_fluke_encode_bcopy(8, _local_a->_buffer, 4 * _local_a->_length);
                  mom_flick_free(_local_a->_buffer);
                  flick_fluke_encode_end_chunk(8 + 4 * _local_a->_length);
                  flick_fluke_encode_end_glob(52);
                  break;
                }
              case exc_mom_system_exception:
                {
                  flick_fluke_encode_end_glob(52);
                  flick_mom_encode_system_exception(_ev, fluke, fluke);
                  break;
                }
              default:
                {
                  flick_mom_encode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_VIRTUAL_UNION, fluke, fluke);
                  flick_fluke_encode_end_glob(52);
                }
              }
            flick_fluke_server_end_encode();
            return DISPATCH_ACK_SEND;
          }
          break;
        }
      default:
        {
          flick_mom_decode_server_error(return DISPATCH_ACK_SEND, FLICK_ERROR_DECODE_SWITCH, fluke, fluke);
          flick_fluke_decode_end_glob(48);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
}
