#include "struct-client.h"

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data)
{
  flick_iiop_encode_new_glob(8);
  flick_iiop_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->b1);
  flick_cdr_encode_signed32(4, _data->b2);
  flick_iiop_encode_end_chunk(8);
  flick_iiop_encode_end_glob(8);
  flick_cdr_encode_string(_data->b3, null_flick_free, iiop, 20);
}

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->b1);
  flick_cdr_decode_signed32(4, _data->b2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_cdr_decode_string(_data->b3, CORBA_flick_alloc, iiop, 20);
}

void flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_iiop_decode_new_glob(8);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->b1);
  flick_cdr_swap_decode_signed32(4, _data->b2);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_decode_end_glob(8);
  flick_cdr_swap_decode_string(_data->b3, CORBA_flick_alloc, iiop, 20);
}

void flick_marshal_stub_bar2(flick_marshal_stream_t _stream, const struct bar2 *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->b3);
  flick_cdr_encode_signed32(4, _data->b4.b1);
  flick_cdr_encode_signed32(8, _data->b4.b2);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
  flick_cdr_encode_string(_data->b4.b3, null_flick_free, iiop, 20);
}

void flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->b3);
  flick_cdr_decode_signed32(4, _data->b4.b1);
  flick_cdr_decode_signed32(8, _data->b4.b2);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
  flick_cdr_decode_string(_data->b4.b3, CORBA_flick_alloc, iiop, 20);
}

void flick_unmarshal_stub_bar2_swap(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->b3);
  flick_cdr_swap_decode_signed32(4, _data->b4.b1);
  flick_cdr_swap_decode_signed32(8, _data->b4.b2);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
  flick_cdr_swap_decode_string(_data->b4.b3, CORBA_flick_alloc, iiop, 20);
}

void flick_marshal_stub_bar3(flick_marshal_stream_t _stream, const struct bar3 *_data)
{
  flick_iiop_encode_new_glob(12);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->b1);
  flick_cdr_encode_signed32(4, _data->b2);
  flick_cdr_encode_signed32(8, _data->b3);
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
}

void flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->b1);
  flick_cdr_decode_signed32(4, _data->b2);
  flick_cdr_decode_signed32(8, _data->b3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_unmarshal_stub_bar3_swap(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  flick_iiop_decode_new_glob(12);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->b1);
  flick_cdr_swap_decode_signed32(4, _data->b2);
  flick_cdr_swap_decode_signed32(8, _data->b3);
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
}

void flick_marshal_stub_bar4(flick_marshal_stream_t _stream, const struct bar4 *_data)
{
  flick_iiop_encode_new_glob(16);
  flick_iiop_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->b1);
  flick_cdr_encode_signed32(4, _data->b2.b3);
  flick_cdr_encode_signed32(8, _data->b2.b4.b1);
  flick_cdr_encode_signed32(12, _data->b2.b4.b2);
  flick_iiop_encode_end_chunk(16);
  flick_iiop_encode_end_glob(16);
  flick_cdr_encode_string(_data->b2.b4.b3, null_flick_free, iiop, 20);
  flick_iiop_encode_new_glob(23);
  flick_iiop_encode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->b3);
  flick_cdr_encode_signed32(4, _data->b4.b1);
  flick_cdr_encode_signed32(8, _data->b4.b2);
  flick_cdr_encode_signed32(12, _data->b4.b3);
  flick_cdr_encode_signed32(16, _data->b5);
  flick_iiop_encode_end_chunk(20);
  flick_iiop_encode_end_glob(23);
}

void flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->b1);
  flick_cdr_decode_signed32(4, _data->b2.b3);
  flick_cdr_decode_signed32(8, _data->b2.b4.b1);
  flick_cdr_decode_signed32(12, _data->b2.b4.b2);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
  flick_cdr_decode_string(_data->b2.b4.b3, CORBA_flick_alloc, iiop, 20);
  flick_iiop_decode_new_glob(23);
  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_decode_signed32(0, _data->b3);
  flick_cdr_decode_signed32(4, _data->b4.b1);
  flick_cdr_decode_signed32(8, _data->b4.b2);
  flick_cdr_decode_signed32(12, _data->b4.b3);
  flick_cdr_decode_signed32(16, _data->b5);
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(23);
}

void flick_unmarshal_stub_bar4_swap(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_iiop_decode_new_glob(16);
  flick_iiop_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->b1);
  flick_cdr_swap_decode_signed32(4, _data->b2.b3);
  flick_cdr_swap_decode_signed32(8, _data->b2.b4.b1);
  flick_cdr_swap_decode_signed32(12, _data->b2.b4.b2);
  flick_iiop_decode_end_chunk(16);
  flick_iiop_decode_end_glob(16);
  flick_cdr_swap_decode_string(_data->b2.b4.b3, CORBA_flick_alloc, iiop, 20);
  flick_iiop_decode_new_glob(23);
  flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_swap_decode_signed32(0, _data->b3);
  flick_cdr_swap_decode_signed32(4, _data->b4.b1);
  flick_cdr_swap_decode_signed32(8, _data->b4.b2);
  flick_cdr_swap_decode_signed32(12, _data->b4.b3);
  flick_cdr_swap_decode_signed32(16, _data->b5);
  flick_iiop_decode_end_chunk(20);
  flick_iiop_decode_end_glob(23);
}

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const foo *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, foo *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

CORBA_long foo_op(foo _obj, struct bar *a, struct bar2 **b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 3);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a->b1);
    flick_cdr_encode_signed32(16, a->b2);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
    flick_cdr_encode_string(a->b3, null_flick_free, iiop, 20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(20);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_signed32(0, _return);
            *b = CORBA_flick_alloc(sizeof(struct bar2 ));
            flick_cdr_swap_decode_signed32(4, (*b)->b3);
            flick_cdr_swap_decode_signed32(8, (*b)->b4.b1);
            flick_cdr_swap_decode_signed32(12, (*b)->b4.b2);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            flick_cdr_swap_decode_string((*b)->b4.b3, CORBA_flick_alloc, iiop, 20);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(20);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(20);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(20);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_signed32(0, _return);
            *b = CORBA_flick_alloc(sizeof(struct bar2 ));
            flick_cdr_decode_signed32(4, (*b)->b3);
            flick_cdr_decode_signed32(8, (*b)->b4.b1);
            flick_cdr_decode_signed32(12, (*b)->b4.b2);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            flick_cdr_decode_string((*b)->b4.b3, CORBA_flick_alloc, iiop, 20);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(20);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(20);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

void flick_marshal_stub_foo2(flick_marshal_stream_t _stream, const foo2 *_data)
{
  flick_cdr_encode_IOR(iiop, *_data, 0);
}

void flick_unmarshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
  flick_cdr_decode_IOR(iiop, *_data, 1);
}

void flick_unmarshal_stub_foo2_swap(flick_marshal_stream_t _stream, foo2 *_data)
{
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
}

struct bar *foo2_op2(foo2 _obj, struct bar2 *a, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  struct bar *_return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(24);
    flick_iiop_encode_new_chunk(24);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, '2');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a->b3);
    flick_cdr_encode_signed32(16, a->b4.b1);
    flick_cdr_encode_signed32(20, a->b4.b2);
    flick_iiop_encode_end_chunk(24);
    flick_iiop_encode_end_glob(24);
    flick_cdr_encode_string(a->b4.b3, null_flick_free, iiop, 20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(struct bar ));
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_signed32(0, _return->b1);
            flick_cdr_swap_decode_signed32(4, _return->b2);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            flick_cdr_swap_decode_string(_return->b3, CORBA_flick_alloc, iiop, 20);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(12);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(12);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(12);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            _return = CORBA_flick_alloc(sizeof(struct bar ));
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, _return->b1);
            flick_cdr_decode_signed32(4, _return->b2);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            flick_cdr_decode_string(_return->b3, CORBA_flick_alloc, iiop, 20);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(12);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(12);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_long foo2_op3(foo2 _obj, CORBA_long a, CORBA_char *b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(16);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_unsigned32(0, 4);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, '3');
    flick_cdr_encode_char8(7, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a);
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(9);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(5);
            flick_cdr_swap_decode_signed32(0, _return);
            flick_cdr_swap_decode_char8(4, *b);
            flick_iiop_decode_end_chunk(5);
            flick_iiop_decode_end_glob(9);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(9);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(9);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(9);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(5);
            flick_cdr_decode_signed32(0, _return);
            flick_cdr_decode_char8(4, *b);
            flick_iiop_decode_end_chunk(5);
            flick_iiop_decode_end_glob(9);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(9);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(9);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

CORBA_long foo2_op(foo2 _obj, struct bar *a, struct bar2 **b, CORBA_Environment *_ev)
{
  FLICK_BUFFER *_stream;
  CORBA_long _return;

  _return = 0;
  flick_iiop_client_start_encode();
  {
    flick_iiop_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_iiop_encode_new_glob(20);
    flick_iiop_encode_new_chunk(20);
    flick_cdr_encode_unsigned32(0, 3);
    flick_cdr_encode_char8(4, 'o');
    flick_cdr_encode_char8(5, 'p');
    flick_cdr_encode_char8(6, 0);
    /* Encode the requesting `Principal' pseudo object (security ID). */
    flick_cdr_encode_unsigned32(8, (unsigned int) 0);
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(12, a->b1);
    flick_cdr_encode_signed32(16, a->b2);
    flick_iiop_encode_end_chunk(20);
    flick_iiop_encode_end_glob(20);
    flick_cdr_encode_string(a->b3, null_flick_free, iiop, 20);
  }
  flick_iiop_client_end_encode();
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(_obj, _obj->boa->in) ||
      !flick_client_get_reply(_obj, _obj->boa->out))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, iiop);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap()) {
    {
      flick_iiop_decode_new_glob(20);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_swap_decode_signed32(0, _return);
            *b = CORBA_flick_alloc(sizeof(struct bar2 ));
            flick_cdr_swap_decode_signed32(4, (*b)->b3);
            flick_cdr_swap_decode_signed32(8, (*b)->b4.b1);
            flick_cdr_swap_decode_signed32(12, (*b)->b4.b2);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            flick_cdr_swap_decode_string((*b)->b4.b3, CORBA_flick_alloc, iiop, 20);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(20);
            flick_corba_decode_system_exception(_ev, cdr_swap, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr_swap, iiop);
            flick_iiop_decode_end_glob(20);
          }
        }
    }
  } else {
    {
      flick_iiop_decode_new_glob(20);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_iiop_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_chunk(16);
            flick_cdr_decode_signed32(0, _return);
            *b = CORBA_flick_alloc(sizeof(struct bar2 ));
            flick_cdr_decode_signed32(4, (*b)->b3);
            flick_cdr_decode_signed32(8, (*b)->b4.b1);
            flick_cdr_decode_signed32(12, (*b)->b4.b2);
            flick_iiop_decode_end_chunk(16);
            flick_iiop_decode_end_glob(20);
            flick_cdr_decode_string((*b)->b4.b3, CORBA_flick_alloc, iiop, 20);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_iiop_decode_end_glob(20);
            flick_corba_decode_system_exception(_ev, cdr, iiop);
            break;
          }
        default:
          {
            flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, cdr, iiop);
            flick_iiop_decode_end_glob(20);
          }
        }
    }
  }
  flick_iiop_client_end_decode();
  return _return;
}

void flick_marshal_stub_Coord(flick_marshal_stream_t _stream, const Coord *_data)
{
  flick_iiop_encode_new_glob(2);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_unsigned16(0, *_data);
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
}

void flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_unsigned16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_unmarshal_stub_Coord_swap(flick_marshal_stream_t _stream, Coord *_data)
{
  flick_iiop_decode_new_glob(2);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_unsigned16(0, *_data);
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
}

void flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, const struct CellPos *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned16(0, _data->row);
  flick_cdr_encode_unsigned16(2, _data->col);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned16(0, _data->row);
  flick_cdr_decode_unsigned16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_CellPos_swap(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned16(0, _data->row);
  flick_cdr_swap_decode_unsigned16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, const struct CellPos2 *_data)
{
  flick_iiop_encode_new_glob(4);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned16(0, _data->row);
  flick_cdr_encode_unsigned16(2, _data->col);
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
}

void flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned16(0, _data->row);
  flick_cdr_decode_unsigned16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_unmarshal_stub_CellPos2_swap(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  flick_iiop_decode_new_glob(4);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned16(0, _data->row);
  flick_cdr_swap_decode_unsigned16(2, _data->col);
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
}

void flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, const struct CellPos3 *_data)
{
  flick_iiop_encode_new_glob(6);
  flick_iiop_encode_new_chunk(6);
  flick_cdr_encode_unsigned16(0, _data->row);
  flick_cdr_encode_unsigned16(2, _data->col);
  flick_cdr_encode_unsigned16(4, _data->col2);
  flick_iiop_encode_end_chunk(6);
  flick_iiop_encode_end_glob(6);
}

void flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  flick_iiop_decode_new_glob(6);
  flick_iiop_decode_new_chunk(6);
  flick_cdr_decode_unsigned16(0, _data->row);
  flick_cdr_decode_unsigned16(2, _data->col);
  flick_cdr_decode_unsigned16(4, _data->col2);
  flick_iiop_decode_end_chunk(6);
  flick_iiop_decode_end_glob(6);
}

void flick_unmarshal_stub_CellPos3_swap(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  flick_iiop_decode_new_glob(6);
  flick_iiop_decode_new_chunk(6);
  flick_cdr_swap_decode_unsigned16(0, _data->row);
  flick_cdr_swap_decode_unsigned16(2, _data->col);
  flick_cdr_swap_decode_unsigned16(4, _data->col2);
  flick_iiop_decode_end_chunk(6);
  flick_iiop_decode_end_glob(6);
}

