#include "atomic_-client.h"

CORBA_short Atomic_test_Short(Atomic_test _obj, CORBA_short a, CORBA_short *b, CORBA_short *c, CORBA_Environment *_ev)
{
  char _global_buf_start[128];
  void *_buf_end = (void *)&(_global_buf_start[128]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_short _return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'S');
    flick_mach3mig_encode_char8(16, 'h');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'r');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed16(56, a);
    flick_mach3mig_encode_signed16(64, *b);
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t8_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t8_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t8_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t9_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t9_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t9_switch_tag)
            {
            case '$':
              {
                char _t10_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t10_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t10_switch_tag)
                  {
                  case 'S':
                    {
                      char _t11_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t11_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t11_switch_tag)
                        {
                        case 'h':
                          {
                            char _t12_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t12_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t12_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t13_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t13_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t13_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t14_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t14_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t14_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t15_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t15_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t15_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(24);
                                                          flick_mach3mig_decode_signed16(0, _return);
                                                          flick_mach3mig_decode_signed16(8, *b);
                                                          flick_mach3mig_decode_signed16(16, *c);
                                                          flick_mach3mig_decode_end_chunk(24);
                                                          flick_mach3mig_decode_end_glob(96);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_mach3mig_decode_end_glob(96);
                                                          flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(96);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(96);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(96);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(96);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(96);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(96);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(96);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(96);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(96);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long Atomic_test_Long(Atomic_test _obj, CORBA_long a, CORBA_long *b, CORBA_long *c, CORBA_Environment *_ev)
{
  char _global_buf_start[120];
  void *_buf_end = (void *)&(_global_buf_start[120]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_long _return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 5);
    flick_mach3mig_encode_char8(8, 'L');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'n');
    flick_mach3mig_encode_char8(32, 'g');
    flick_mach3mig_encode_char8(40, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_signed32(48, a);
    flick_mach3mig_encode_signed32(56, *b);
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t23_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t23_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t23_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t24_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t24_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t24_switch_tag)
            {
            case '$':
              {
                char _t25_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t25_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t25_switch_tag)
                  {
                  case 'L':
                    {
                      char _t26_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t26_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t26_switch_tag)
                        {
                        case 'o':
                          {
                            char _t27_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t27_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t27_switch_tag)
                              {
                              case 'n':
                                {
                                  char _t28_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t28_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t28_switch_tag)
                                    {
                                    case 'g':
                                      {
                                        char _t29_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t29_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t29_switch_tag)
                                          {
                                          case 0:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_major)
                                                {
                                                case CORBA_NO_EXCEPTION:
                                                  {
                                                    /* Begin decode phase on parameters */
                                                    flick_mach3mig_decode_new_chunk(24);
                                                    flick_mach3mig_decode_signed32(0, _return);
                                                    flick_mach3mig_decode_signed32(8, *b);
                                                    flick_mach3mig_decode_signed32(16, *c);
                                                    flick_mach3mig_decode_end_chunk(24);
                                                    flick_mach3mig_decode_end_glob(88);
                                                    break;
                                                  }
                                                case CORBA_SYSTEM_EXCEPTION:
                                                  {
                                                    flick_mach3mig_decode_end_glob(88);
                                                    flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(88);
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(88);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(88);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(88);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(88);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(88);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(88);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(88);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_unsigned_short Atomic_test_UShort(Atomic_test _obj, CORBA_unsigned_short a, CORBA_unsigned_short *b, CORBA_unsigned_short *c, CORBA_Environment *_ev)
{
  char _global_buf_start[136];
  void *_buf_end = (void *)&(_global_buf_start[136]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_unsigned_short _return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(80);
    flick_mach3mig_encode_new_chunk(80);
    flick_mach3mig_encode_unsigned32(0, 7);
    flick_mach3mig_encode_char8(8, 'U');
    flick_mach3mig_encode_char8(16, 'S');
    flick_mach3mig_encode_char8(24, 'h');
    flick_mach3mig_encode_char8(32, 'o');
    flick_mach3mig_encode_char8(40, 'r');
    flick_mach3mig_encode_char8(48, 't');
    flick_mach3mig_encode_char8(56, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned16(64, a);
    flick_mach3mig_encode_unsigned16(72, *b);
    flick_mach3mig_encode_end_chunk(80);
    flick_mach3mig_encode_end_glob(80);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t39_switch_tag;

    flick_mach3mig_decode_new_glob(104);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t39_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t39_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t40_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t40_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t40_switch_tag)
            {
            case '$':
              {
                char _t41_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t41_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t41_switch_tag)
                  {
                  case 'U':
                    {
                      char _t42_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t42_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t42_switch_tag)
                        {
                        case 'S':
                          {
                            char _t43_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t43_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t43_switch_tag)
                              {
                              case 'h':
                                {
                                  char _t44_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t44_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t44_switch_tag)
                                    {
                                    case 'o':
                                      {
                                        char _t45_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t45_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t45_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t46_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t46_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t46_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t47_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t47_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t47_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _ev->_major);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_ev->_major)
                                                            {
                                                            case CORBA_NO_EXCEPTION:
                                                              {
                                                                /* Begin decode phase on parameters */
                                                                flick_mach3mig_decode_new_chunk(24);
                                                                flick_mach3mig_decode_unsigned16(0, _return);
                                                                flick_mach3mig_decode_unsigned16(8, *b);
                                                                flick_mach3mig_decode_unsigned16(16, *c);
                                                                flick_mach3mig_decode_end_chunk(24);
                                                                flick_mach3mig_decode_end_glob(104);
                                                                break;
                                                              }
                                                            case CORBA_SYSTEM_EXCEPTION:
                                                              {
                                                                flick_mach3mig_decode_end_glob(104);
                                                                flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(104);
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(104);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(104);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(104);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(104);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(104);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(104);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(104);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(104);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(104);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_unsigned_long Atomic_test_ULong(Atomic_test _obj, CORBA_unsigned_long a, CORBA_unsigned_long *b, CORBA_unsigned_long *c, CORBA_Environment *_ev)
{
  char _global_buf_start[128];
  void *_buf_end = (void *)&(_global_buf_start[128]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_unsigned_long _return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'U');
    flick_mach3mig_encode_char8(16, 'L');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'n');
    flick_mach3mig_encode_char8(40, 'g');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned32(56, a);
    flick_mach3mig_encode_unsigned32(64, *b);
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t56_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t56_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t56_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t57_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t57_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t57_switch_tag)
            {
            case '$':
              {
                char _t58_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t58_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t58_switch_tag)
                  {
                  case 'U':
                    {
                      char _t59_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t59_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t59_switch_tag)
                        {
                        case 'L':
                          {
                            char _t60_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t60_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t60_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t61_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t61_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t61_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t62_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t62_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t62_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t63_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t63_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t63_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(24);
                                                          flick_mach3mig_decode_unsigned32(0, _return);
                                                          flick_mach3mig_decode_unsigned32(8, *b);
                                                          flick_mach3mig_decode_unsigned32(16, *c);
                                                          flick_mach3mig_decode_end_chunk(24);
                                                          flick_mach3mig_decode_end_glob(96);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_mach3mig_decode_end_glob(96);
                                                          flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(96);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(96);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(96);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(96);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(96);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(96);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(96);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(96);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(96);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_float Atomic_test_Float(Atomic_test _obj, CORBA_float a, CORBA_float *b, CORBA_float *c, CORBA_Environment *_ev)
{
  char _global_buf_start[128];
  void *_buf_end = (void *)&(_global_buf_start[128]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_float _return;

  _return = 0.000000;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'F');
    flick_mach3mig_encode_char8(16, 'l');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'a');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_float32(56, a);
    flick_mach3mig_encode_float32(64, *b);
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t72_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t72_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t72_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t73_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t73_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t73_switch_tag)
            {
            case '$':
              {
                char _t74_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t74_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t74_switch_tag)
                  {
                  case 'F':
                    {
                      char _t75_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t75_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t75_switch_tag)
                        {
                        case 'l':
                          {
                            char _t76_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t76_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t76_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t77_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t77_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t77_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t78_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t78_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t78_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t79_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t79_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t79_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(24);
                                                          flick_mach3mig_decode_float32(0, _return);
                                                          flick_mach3mig_decode_float32(8, *b);
                                                          flick_mach3mig_decode_float32(16, *c);
                                                          flick_mach3mig_decode_end_chunk(24);
                                                          flick_mach3mig_decode_end_glob(96);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_mach3mig_decode_end_glob(96);
                                                          flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(96);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(96);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(96);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(96);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(96);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(96);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(96);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(96);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(96);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_double Atomic_test_Double(Atomic_test _obj, CORBA_double a, CORBA_double *b, CORBA_double *c, CORBA_Environment *_ev)
{
  char _global_buf_start[148];
  void *_buf_end = (void *)&(_global_buf_start[148]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_double _return;

  _return = 0.000000;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 7);
    flick_mach3mig_encode_char8(8, 'D');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'u');
    flick_mach3mig_encode_char8(32, 'b');
    flick_mach3mig_encode_char8(40, 'l');
    flick_mach3mig_encode_char8(48, 'e');
    flick_mach3mig_encode_char8(56, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_float64(64, a);
    flick_mach3mig_encode_float64(76, *b);
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t89_switch_tag;

    flick_mach3mig_decode_new_glob(116);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t89_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t89_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t90_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t90_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t90_switch_tag)
            {
            case '$':
              {
                char _t91_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t91_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t91_switch_tag)
                  {
                  case 'D':
                    {
                      char _t92_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t92_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t92_switch_tag)
                        {
                        case 'o':
                          {
                            char _t93_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t93_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t93_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t94_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t94_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t94_switch_tag)
                                    {
                                    case 'b':
                                      {
                                        char _t95_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t95_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t95_switch_tag)
                                          {
                                          case 'l':
                                            {
                                              char _t96_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t96_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t96_switch_tag)
                                                {
                                                case 'e':
                                                  {
                                                    char _t97_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t97_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t97_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _ev->_major);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch (_ev->_major)
                                                            {
                                                            case CORBA_NO_EXCEPTION:
                                                              {
                                                                /* Begin decode phase on parameters */
                                                                flick_mach3mig_decode_new_chunk(36);
                                                                flick_mach3mig_decode_float64(0, _return);
                                                                flick_mach3mig_decode_float64(12, *b);
                                                                flick_mach3mig_decode_float64(24, *c);
                                                                flick_mach3mig_decode_end_chunk(36);
                                                                flick_mach3mig_decode_end_glob(116);
                                                                break;
                                                              }
                                                            case CORBA_SYSTEM_EXCEPTION:
                                                              {
                                                                flick_mach3mig_decode_end_glob(116);
                                                                flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(116);
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(116);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(116);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(116);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(116);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(116);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(116);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(116);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(116);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(116);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_boolean Atomic_test_Boolean(Atomic_test _obj, CORBA_boolean a, CORBA_boolean *b, CORBA_boolean *c, CORBA_Environment *_ev)
{
  char _global_buf_start[144];
  void *_buf_end = (void *)&(_global_buf_start[144]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_boolean _return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(88);
    flick_mach3mig_encode_new_chunk(88);
    flick_mach3mig_encode_unsigned32(0, 8);
    flick_mach3mig_encode_char8(8, 'B');
    flick_mach3mig_encode_char8(16, 'o');
    flick_mach3mig_encode_char8(24, 'o');
    flick_mach3mig_encode_char8(32, 'l');
    flick_mach3mig_encode_char8(40, 'e');
    flick_mach3mig_encode_char8(48, 'a');
    flick_mach3mig_encode_char8(56, 'n');
    flick_mach3mig_encode_char8(64, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_boolean(72, a);
    flick_mach3mig_encode_boolean(80, *b);
    flick_mach3mig_encode_end_chunk(88);
    flick_mach3mig_encode_end_glob(88);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t108_switch_tag;

    flick_mach3mig_decode_new_glob(112);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t108_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t108_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t109_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t109_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t109_switch_tag)
            {
            case '$':
              {
                char _t110_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t110_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t110_switch_tag)
                  {
                  case 'B':
                    {
                      char _t111_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t111_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t111_switch_tag)
                        {
                        case 'o':
                          {
                            char _t112_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t112_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t112_switch_tag)
                              {
                              case 'o':
                                {
                                  char _t113_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t113_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t113_switch_tag)
                                    {
                                    case 'l':
                                      {
                                        char _t114_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t114_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t114_switch_tag)
                                          {
                                          case 'e':
                                            {
                                              char _t115_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t115_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t115_switch_tag)
                                                {
                                                case 'a':
                                                  {
                                                    char _t116_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t116_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t116_switch_tag)
                                                      {
                                                      case 'n':
                                                        {
                                                          char _t117_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t117_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch ((char )_t117_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_signed32(0, _ev->_major);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch (_ev->_major)
                                                                  {
                                                                  case CORBA_NO_EXCEPTION:
                                                                    {
                                                                      /* Begin decode phase on parameters */
                                                                      flick_mach3mig_decode_new_chunk(24);
                                                                      flick_mach3mig_decode_boolean(0, _return);
                                                                      flick_mach3mig_decode_boolean(8, *b);
                                                                      flick_mach3mig_decode_boolean(16, *c);
                                                                      flick_mach3mig_decode_end_chunk(24);
                                                                      flick_mach3mig_decode_end_glob(112);
                                                                      break;
                                                                    }
                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                    {
                                                                      flick_mach3mig_decode_end_glob(112);
                                                                      flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                                      flick_mach3mig_decode_end_glob(112);
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                                flick_mach3mig_decode_end_glob(112);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(112);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(112);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(112);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(112);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(112);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(112);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(112);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(112);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(112);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_char Atomic_test_Char(Atomic_test _obj, CORBA_char a, CORBA_char *b, CORBA_char *c, CORBA_Environment *_ev)
{
  char _global_buf_start[120];
  void *_buf_end = (void *)&(_global_buf_start[120]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_char _return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(64);
    flick_mach3mig_encode_new_chunk(64);
    flick_mach3mig_encode_unsigned32(0, 5);
    flick_mach3mig_encode_char8(8, 'C');
    flick_mach3mig_encode_char8(16, 'h');
    flick_mach3mig_encode_char8(24, 'a');
    flick_mach3mig_encode_char8(32, 'r');
    flick_mach3mig_encode_char8(40, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_char8(48, a);
    flick_mach3mig_encode_char8(56, *b);
    flick_mach3mig_encode_end_chunk(64);
    flick_mach3mig_encode_end_glob(64);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t125_switch_tag;

    flick_mach3mig_decode_new_glob(88);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t125_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t125_switch_tag)
      {
      case (unsigned int) 6:
        {
          char _t126_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t126_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t126_switch_tag)
            {
            case '$':
              {
                char _t127_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t127_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t127_switch_tag)
                  {
                  case 'C':
                    {
                      char _t128_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t128_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t128_switch_tag)
                        {
                        case 'h':
                          {
                            char _t129_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t129_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t129_switch_tag)
                              {
                              case 'a':
                                {
                                  char _t130_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t130_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t130_switch_tag)
                                    {
                                    case 'r':
                                      {
                                        char _t131_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t131_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t131_switch_tag)
                                          {
                                          case 0:
                                            {
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _ev->_major);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch (_ev->_major)
                                                {
                                                case CORBA_NO_EXCEPTION:
                                                  {
                                                    /* Begin decode phase on parameters */
                                                    flick_mach3mig_decode_new_chunk(24);
                                                    flick_mach3mig_decode_char8(0, _return);
                                                    flick_mach3mig_decode_char8(8, *b);
                                                    flick_mach3mig_decode_char8(16, *c);
                                                    flick_mach3mig_decode_end_chunk(24);
                                                    flick_mach3mig_decode_end_glob(88);
                                                    break;
                                                  }
                                                case CORBA_SYSTEM_EXCEPTION:
                                                  {
                                                    flick_mach3mig_decode_end_glob(88);
                                                    flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(88);
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(88);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(88);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(88);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(88);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(88);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(88);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(88);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_octet Atomic_test_Octet(Atomic_test _obj, CORBA_octet a, CORBA_octet *b, CORBA_octet *c, CORBA_Environment *_ev)
{
  char _global_buf_start[128];
  void *_buf_end = (void *)&(_global_buf_start[128]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_octet _return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(72);
    flick_mach3mig_encode_new_chunk(72);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 'O');
    flick_mach3mig_encode_char8(16, 'c');
    flick_mach3mig_encode_char8(24, 't');
    flick_mach3mig_encode_char8(32, 'e');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_unsigned8(56, a);
    flick_mach3mig_encode_unsigned8(64, *b);
    flick_mach3mig_encode_end_chunk(72);
    flick_mach3mig_encode_end_glob(72);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t140_switch_tag;

    flick_mach3mig_decode_new_glob(96);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t140_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t140_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t141_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t141_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t141_switch_tag)
            {
            case '$':
              {
                char _t142_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t142_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t142_switch_tag)
                  {
                  case 'O':
                    {
                      char _t143_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t143_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t143_switch_tag)
                        {
                        case 'c':
                          {
                            char _t144_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t144_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t144_switch_tag)
                              {
                              case 't':
                                {
                                  char _t145_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t145_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t145_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t146_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t146_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t146_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t147_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t147_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t147_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(24);
                                                          flick_mach3mig_decode_unsigned8(0, _return);
                                                          flick_mach3mig_decode_unsigned8(8, *b);
                                                          flick_mach3mig_decode_unsigned8(16, *c);
                                                          flick_mach3mig_decode_end_chunk(24);
                                                          flick_mach3mig_decode_end_glob(96);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_mach3mig_decode_end_glob(96);
                                                          flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(96);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(96);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(96);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(96);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(96);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(96);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(96);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(96);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(96);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

