#include "corbastat-client.h"

CORBA_long test_dir(test _obj, test_directory *entries, CORBA_Environment *_ev)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_long _return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    CORBA_unsigned_long _t1_array_iter;

    flick_mach3mig_encode_new_glob(40);
    flick_mach3mig_encode_new_chunk(40);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'd');
    flick_mach3mig_encode_char8(16, 'i');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(40);
    flick_mach3mig_encode_end_glob(40);
    for (_t1_array_iter = 0; _t1_array_iter < entries->_length; _t1_array_iter++)
      {
        flick_mach3mig_encode_string(entries->_buffer[_t1_array_iter].filename, null_flick_free, mach3mig, 255);
        flick_mach3mig_encode_new_glob(223);
        flick_mach3mig_encode_new_chunk_align(220, 2, 0, 0);
        flick_mach3mig_encode_unsigned32(0, entries->_buffer[_t1_array_iter].info.st_dev);
        flick_mach3mig_array_encode_signed32_type(8, 3, 1, 0, _type);
        flick_mach3mig_array_encode_bcopy(12, entries->_buffer[_t1_array_iter].info.st_pad1, 12);
        flick_mach3mig_encode_unsigned32(24, entries->_buffer[_t1_array_iter].info.st_ino);
        flick_mach3mig_encode_unsigned32(32, entries->_buffer[_t1_array_iter].info.st_mode);
        flick_mach3mig_encode_unsigned32(40, entries->_buffer[_t1_array_iter].info.st_nlink);
        flick_mach3mig_encode_signed32(48, entries->_buffer[_t1_array_iter].info.st_uid);
        flick_mach3mig_encode_signed32(56, entries->_buffer[_t1_array_iter].info.st_gid);
        flick_mach3mig_encode_unsigned32(64, entries->_buffer[_t1_array_iter].info.st_rdev);
        flick_mach3mig_array_encode_signed32_type(72, 2, 1, 0, _type);
        flick_mach3mig_array_encode_bcopy(76, entries->_buffer[_t1_array_iter].info.st_pad2, 8);
        flick_mach3mig_encode_signed32(84, entries->_buffer[_t1_array_iter].info.st_size);
        flick_mach3mig_encode_signed32(92, entries->_buffer[_t1_array_iter].info.st_pad3);
        flick_mach3mig_encode_signed32(100, entries->_buffer[_t1_array_iter].info.st_atime.my_tv_sec);
        flick_mach3mig_encode_signed32(108, entries->_buffer[_t1_array_iter].info.st_atime.my_tv_nsec);
        flick_mach3mig_encode_signed32(116, entries->_buffer[_t1_array_iter].info.st_mtime.my_tv_sec);
        flick_mach3mig_encode_signed32(124, entries->_buffer[_t1_array_iter].info.st_mtime.my_tv_nsec);
        flick_mach3mig_encode_signed32(132, entries->_buffer[_t1_array_iter].info.st_ctime.my_tv_sec);
        flick_mach3mig_encode_signed32(140, entries->_buffer[_t1_array_iter].info.st_ctime.my_tv_nsec);
        flick_mach3mig_encode_signed32(148, entries->_buffer[_t1_array_iter].info.st_blksize);
        flick_mach3mig_encode_signed32(156, entries->_buffer[_t1_array_iter].info.st_blocks);
        flick_mach3mig_array_encode_char8_type(164, 16, 1, 0, _type);
        flick_mach3mig_array_encode_bcopy(168, entries->_buffer[_t1_array_iter].info.st_fstype, 16);
        flick_mach3mig_array_encode_signed32_type(184, 8, 1, 0, _type);
        flick_mach3mig_array_encode_bcopy(188, entries->_buffer[_t1_array_iter].info.st_pad4, 32);
        flick_mach3mig_encode_end_chunk(220);
        flick_mach3mig_encode_end_glob(223);
      }
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t8_switch_tag;

    flick_mach3mig_decode_new_glob(64);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t8_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t8_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t9_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t9_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t9_switch_tag)
            {
            case '$':
              {
                char _t10_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t10_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t10_switch_tag)
                  {
                  case 'd':
                    {
                      char _t11_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t11_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t11_switch_tag)
                        {
                        case 'i':
                          {
                            char _t12_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t12_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t12_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t13_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t13_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t13_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _return);
                                              flick_mach3mig_decode_end_chunk(8);
                                              flick_mach3mig_decode_end_glob(64);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_mach3mig_decode_end_glob(64);
                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(64);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(64);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long test_lng(test _obj, test_longlist *entries, CORBA_Environment *_ev)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_long _return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    int _t15_ool_check;

    flick_mach3mig_encode_new_glob(56);
    flick_mach3mig_encode_new_chunk(52);
    flick_mach3mig_encode_unsigned32(0, 4);
    flick_mach3mig_encode_char8(8, 'l');
    flick_mach3mig_encode_char8(16, 'n');
    flick_mach3mig_encode_char8(24, 'g');
    flick_mach3mig_encode_char8(32, 0);
    /* Begin encode phase on parameters */
    _t15_ool_check = entries->_length > 512;
    flick_mach3mig_array_encode_signed32_type(40, entries->_length, !_t15_ool_check, 0, _long_type);
    flick_mach3mig_array_encode_end_chunk(52);
    if (_t15_ool_check)
      {
        flick_mach3mig_array_encode_new_chunk(4);
        flick_mach3mig_array_encode_unsigned32(0, entries->_buffer);
        flick_mach3mig_array_encode_end_chunk(4);
        flick_mach3mig_array_encode_end_glob(56);
        _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
      }
    else
      {
        flick_mach3mig_array_encode_end_glob(56);
        flick_mach3mig_array_encode_new_glob(4 * entries->_length);
        flick_mach3mig_array_encode_new_chunk(4 * entries->_length);
        flick_mach3mig_array_encode_bcopy(0, entries->_buffer, 4 * entries->_length);
        flick_mach3mig_array_encode_end_chunk(4 * entries->_length);
        flick_mach3mig_array_encode_end_glob(4 * entries->_length);
      }
  }
  flick_mach3mig_client_end_encode();
  _buf_start->Head.msgh_bits |= MACH_MSGH_BITS_COMPLEX;
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t22_switch_tag;

    flick_mach3mig_decode_new_glob(64);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t22_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t22_switch_tag)
      {
      case (unsigned int) 5:
        {
          char _t23_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t23_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t23_switch_tag)
            {
            case '$':
              {
                char _t24_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t24_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t24_switch_tag)
                  {
                  case 'l':
                    {
                      char _t25_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t25_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t25_switch_tag)
                        {
                        case 'n':
                          {
                            char _t26_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t26_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t26_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t27_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t27_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t27_switch_tag)
                                    {
                                    case 0:
                                      {
                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_signed32(0, _ev->_major);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch (_ev->_major)
                                          {
                                          case CORBA_NO_EXCEPTION:
                                            {
                                              /* Begin decode phase on parameters */
                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_signed32(0, _return);
                                              flick_mach3mig_decode_end_chunk(8);
                                              flick_mach3mig_decode_end_glob(64);
                                              break;
                                            }
                                          case CORBA_SYSTEM_EXCEPTION:
                                            {
                                              flick_mach3mig_decode_end_glob(64);
                                              flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(64);
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(64);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

CORBA_long test_strct(test _obj, test_structlist *entries, CORBA_Environment *_ev)
{
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  CORBA_long _return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    CORBA_unsigned_long _t29_array_iter;

    flick_mach3mig_encode_new_glob(56);
    flick_mach3mig_encode_new_chunk(56);
    flick_mach3mig_encode_unsigned32(0, 6);
    flick_mach3mig_encode_char8(8, 's');
    flick_mach3mig_encode_char8(16, 't');
    flick_mach3mig_encode_char8(24, 'r');
    flick_mach3mig_encode_char8(32, 'c');
    flick_mach3mig_encode_char8(40, 't');
    flick_mach3mig_encode_char8(48, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_encode_end_chunk(56);
    flick_mach3mig_encode_end_glob(56);
    flick_mach3mig_encode_new_glob(32 * entries->_length);
    for (_t29_array_iter = 0; _t29_array_iter < entries->_length; _t29_array_iter++)
      {
        flick_mach3mig_encode_new_chunk(32);
        flick_mach3mig_encode_signed32(0, entries->_buffer[_t29_array_iter].a.a);
        flick_mach3mig_encode_signed32(8, entries->_buffer[_t29_array_iter].a.b);
        flick_mach3mig_encode_signed32(16, entries->_buffer[_t29_array_iter].b.a);
        flick_mach3mig_encode_signed32(24, entries->_buffer[_t29_array_iter].b.b);
        flick_mach3mig_encode_end_chunk(32);
      }
    flick_mach3mig_encode_end_glob(32 * entries->_length);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_dynamic(MACH_RCV_LARGE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t38_switch_tag;

    flick_mach3mig_decode_new_glob(80);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t38_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t38_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t39_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t39_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t39_switch_tag)
            {
            case '$':
              {
                char _t40_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t40_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t40_switch_tag)
                  {
                  case 's':
                    {
                      char _t41_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t41_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t41_switch_tag)
                        {
                        case 't':
                          {
                            char _t42_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t42_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t42_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t43_switch_tag;

                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_char8(0, _t43_switch_tag);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch ((char )_t43_switch_tag)
                                    {
                                    case 'c':
                                      {
                                        char _t44_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_char8(0, _t44_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((char )_t44_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t45_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t45_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t45_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_signed32(0, _ev->_major);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch (_ev->_major)
                                                      {
                                                      case CORBA_NO_EXCEPTION:
                                                        {
                                                          /* Begin decode phase on parameters */
                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_signed32(0, _return);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          flick_mach3mig_decode_end_glob(80);
                                                          break;
                                                        }
                                                      case CORBA_SYSTEM_EXCEPTION:
                                                        {
                                                          flick_mach3mig_decode_end_glob(80);
                                                          flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VIRTUAL_UNION, mach3mig, mach3mig);
                                                          flick_mach3mig_decode_end_glob(80);
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                                    flick_mach3mig_decode_end_glob(80);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                              flick_mach3mig_decode_end_glob(80);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                        flick_mach3mig_decode_end_glob(80);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(80);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(80);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(80);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(80);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(80);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

