#include "sequence-client.h"

vec10 *TestSeq_op(TestSeq _obj, vec10 *iv, vec10 **ov, vec10 *iov, CORBA_Environment *_ev)
{
  char _global_buf_start[212];
  void *_buf_end = (void *)&(_global_buf_start[212]);
  register mig_reply_header_t *_buf_start;
  register void *_buf_current;
  kern_return_t _ipc_return = KERN_SUCCESS;
  vec10 *_return;

  _return = 0;
  flick_mach3mig_client_start_encode();
  flick_mach3mig_client_encode_client(mig_get_reply_port(), 0, 0, mach3mig);
  {
    flick_mach3mig_client_encode_target(_obj, MACH_MSG_TYPE_COPY_SEND, MACH_MSG_TYPE_MAKE_SEND_ONCE, mach3mig);
  }
  {
    flick_mach3mig_encode_new_glob(120);
    flick_mach3mig_encode_new_chunk(36 + 4 * iv->_length);
    flick_mach3mig_encode_unsigned32(0, 3);
    flick_mach3mig_encode_char8(8, 'o');
    flick_mach3mig_encode_char8(16, 'p');
    flick_mach3mig_encode_char8(24, 0);
    /* Begin encode phase on parameters */
    flick_mach3mig_array_encode_signed32_type(32, iv->_length, 1, 0, _type);
    if (iv->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, mach3mig, mach3mig);
    flick_mach3mig_array_encode_bcopy(36, iv->_buffer, 4 * iv->_length);
    flick_mach3mig_array_encode_end_chunk(36 + 4 * iv->_length);
    flick_mach3mig_array_encode_new_chunk(4 + 4 * iov->_length);
    flick_mach3mig_array_encode_signed32_type(0, iov->_length, 1, 0, _type);
    if (iov->_length > (unsigned int) 10)
      flick_corba_encode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, mach3mig, mach3mig);
    flick_mach3mig_array_encode_bcopy(4, iov->_buffer, 4 * iov->_length);
    flick_mach3mig_array_encode_end_chunk(4 + 4 * iov->_length);
    flick_mach3mig_encode_end_glob(120);
  }
  flick_mach3mig_client_end_encode();
  _ipc_return = flick_mach3mig_rpc_static(MACH_MSG_OPTION_NONE, MACH_MSG_TIMEOUT_NONE);
  if (_ipc_return != MACH_MSG_SUCCESS)
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, mach3mig, mach3mig);
  flick_mach3mig_client_start_decode();
  {
    unsigned int _t61_switch_tag;

    flick_mach3mig_decode_new_glob(180);
    flick_mach3mig_decode_new_chunk(8);
    flick_mach3mig_decode_unsigned32(0, _t61_switch_tag);
    flick_mach3mig_decode_end_chunk(8);
    switch ((unsigned int )_t61_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t62_switch_tag;

          flick_mach3mig_decode_new_chunk(8);
          flick_mach3mig_decode_char8(0, _t62_switch_tag);
          flick_mach3mig_decode_end_chunk(8);
          switch ((char )_t62_switch_tag)
            {
            case '$':
              {
                char _t63_switch_tag;

                flick_mach3mig_decode_new_chunk(8);
                flick_mach3mig_decode_char8(0, _t63_switch_tag);
                flick_mach3mig_decode_end_chunk(8);
                switch ((char )_t63_switch_tag)
                  {
                  case 'o':
                    {
                      char _t64_switch_tag;

                      flick_mach3mig_decode_new_chunk(8);
                      flick_mach3mig_decode_char8(0, _t64_switch_tag);
                      flick_mach3mig_decode_end_chunk(8);
                      switch ((char )_t64_switch_tag)
                        {
                        case 'p':
                          {
                            char _t65_switch_tag;

                            flick_mach3mig_decode_new_chunk(8);
                            flick_mach3mig_decode_char8(0, _t65_switch_tag);
                            flick_mach3mig_decode_end_chunk(8);
                            switch ((char )_t65_switch_tag)
                              {
                              case 0:
                                {
                                  flick_mach3mig_decode_new_chunk(8);
                                  flick_mach3mig_decode_signed32(0, _ev->_major);
                                  flick_mach3mig_decode_end_chunk(8);
                                  switch (_ev->_major)
                                    {
                                    case CORBA_NO_EXCEPTION:
                                      {
                                        /* Begin decode phase on parameters */
                                        _return = CORBA_flick_alloc(sizeof(vec10 ));
                                        _return->_maximum = _return->_length;
                                        flick_mach3mig_array_decode_new_chunk(4);
                                        flick_mach3mig_array_decode_signed32_type(0, _return->_length, 1, 0, _type);
                                        if (_return->_length > (unsigned int) 10)
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, mach3mig, mach3mig);
                                        flick_mach3mig_array_decode_end_chunk(4);
                                        flick_mach3mig_array_decode_new_chunk(4 * _return->_length);
                                        _return->_buffer = CORBA_flick_alloc(_return->_length * sizeof(CORBA_long ));
                                        flick_mach3mig_array_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                        flick_mach3mig_array_decode_end_chunk(4 * _return->_length);
                                        *ov = CORBA_flick_alloc(sizeof(vec10 ));
                                        (*ov)->_maximum = (*ov)->_length;
                                        flick_mach3mig_array_decode_new_chunk(4);
                                        flick_mach3mig_array_decode_signed32_type(0, (*ov)->_length, 1, 0, _type);
                                        if ((*ov)->_length > (unsigned int) 10)
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, mach3mig, mach3mig);
                                        flick_mach3mig_array_decode_end_chunk(4);
                                        flick_mach3mig_array_decode_new_chunk(4 * (*ov)->_length);
                                        (*ov)->_buffer = CORBA_flick_alloc((*ov)->_length * sizeof(CORBA_long ));
                                        flick_mach3mig_array_decode_bcopy(0, (*ov)->_buffer, 4 * (*ov)->_length);
                                        flick_mach3mig_array_decode_end_chunk(4 * (*ov)->_length);
                                        iov->_maximum = iov->_length;
                                        flick_mach3mig_array_decode_new_chunk(4);
                                        flick_mach3mig_array_decode_signed32_type(0, iov->_length, 1, 0, _type);
                                        if (iov->_length > (unsigned int) 10)
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_OUT_OF_BOUNDS, mach3mig, mach3mig);
                                        flick_mach3mig_array_decode_end_chunk(4);
                                        flick_mach3mig_array_decode_new_chunk(4 * iov->_length);
                                        iov->_buffer = CORBA_flick_alloc(iov->_length * sizeof(CORBA_long ));
                                        flick_mach3mig_array_decode_bcopy(0, iov->_buffer, 4 * iov->_length);
                                        flick_mach3mig_array_decode_end_chunk(4 * iov->_length);
                                        flick_mach3mig_decode_end_glob(180);
                                        break;
                                      }
                                    case CORBA_SYSTEM_EXCEPTION:
                                      {
                                        flick_mach3mig_decode_end_glob(180);
                                        flick_corba_decode_system_exception(_ev, mach3mig, mach3mig);
                                        break;
                                      }
                                    default:
                                      {
                                        unsigned int _t108_switch_tag;

                                        flick_mach3mig_decode_new_chunk(8);
                                        flick_mach3mig_decode_unsigned32(0, _t108_switch_tag);
                                        flick_mach3mig_decode_end_chunk(8);
                                        switch ((unsigned int )_t108_switch_tag)
                                          {
                                          case (unsigned int) 13:
                                            {
                                              char _t109_switch_tag;

                                              flick_mach3mig_decode_new_chunk(8);
                                              flick_mach3mig_decode_char8(0, _t109_switch_tag);
                                              flick_mach3mig_decode_end_chunk(8);
                                              switch ((char )_t109_switch_tag)
                                                {
                                                case 'I':
                                                  {
                                                    char _t110_switch_tag;

                                                    flick_mach3mig_decode_new_chunk(8);
                                                    flick_mach3mig_decode_char8(0, _t110_switch_tag);
                                                    flick_mach3mig_decode_end_chunk(8);
                                                    switch ((char )_t110_switch_tag)
                                                      {
                                                      case 'D':
                                                        {
                                                          char _t111_switch_tag;

                                                          flick_mach3mig_decode_new_chunk(8);
                                                          flick_mach3mig_decode_char8(0, _t111_switch_tag);
                                                          flick_mach3mig_decode_end_chunk(8);
                                                          switch ((char )_t111_switch_tag)
                                                            {
                                                            case 'L':
                                                              {
                                                                char _t112_switch_tag;

                                                                flick_mach3mig_decode_new_chunk(8);
                                                                flick_mach3mig_decode_char8(0, _t112_switch_tag);
                                                                flick_mach3mig_decode_end_chunk(8);
                                                                switch ((char )_t112_switch_tag)
                                                                  {
                                                                  case ':':
                                                                    {
                                                                      char _t113_switch_tag;

                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                      flick_mach3mig_decode_char8(0, _t113_switch_tag);
                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                      switch ((char )_t113_switch_tag)
                                                                        {
                                                                        case 'p':
                                                                          {
                                                                            char _t114_switch_tag;

                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                            flick_mach3mig_decode_char8(0, _t114_switch_tag);
                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                            switch ((char )_t114_switch_tag)
                                                                              {
                                                                              case 'u':
                                                                                {
                                                                                  char _t115_switch_tag;

                                                                                  flick_mach3mig_decode_new_chunk(8);
                                                                                  flick_mach3mig_decode_char8(0, _t115_switch_tag);
                                                                                  flick_mach3mig_decode_end_chunk(8);
                                                                                  switch ((char )_t115_switch_tag)
                                                                                    {
                                                                                    case 'k':
                                                                                      {
                                                                                        char _t116_switch_tag;

                                                                                        flick_mach3mig_decode_new_chunk(8);
                                                                                        flick_mach3mig_decode_char8(0, _t116_switch_tag);
                                                                                        flick_mach3mig_decode_end_chunk(8);
                                                                                        switch ((char )_t116_switch_tag)
                                                                                          {
                                                                                          case 'e':
                                                                                            {
                                                                                              char _t117_switch_tag;

                                                                                              flick_mach3mig_decode_new_chunk(8);
                                                                                              flick_mach3mig_decode_char8(0, _t117_switch_tag);
                                                                                              flick_mach3mig_decode_end_chunk(8);
                                                                                              switch ((char )_t117_switch_tag)
                                                                                                {
                                                                                                case ':':
                                                                                                  {
                                                                                                    char _t118_switch_tag;

                                                                                                    flick_mach3mig_decode_new_chunk(8);
                                                                                                    flick_mach3mig_decode_char8(0, _t118_switch_tag);
                                                                                                    flick_mach3mig_decode_end_chunk(8);
                                                                                                    switch ((char )_t118_switch_tag)
                                                                                                      {
                                                                                                      case '1':
                                                                                                        {
                                                                                                          char _t119_switch_tag;

                                                                                                          flick_mach3mig_decode_new_chunk(8);
                                                                                                          flick_mach3mig_decode_char8(0, _t119_switch_tag);
                                                                                                          flick_mach3mig_decode_end_chunk(8);
                                                                                                          switch ((char )_t119_switch_tag)
                                                                                                            {
                                                                                                            case '.':
                                                                                                              {
                                                                                                                char _t120_switch_tag;

                                                                                                                flick_mach3mig_decode_new_chunk(8);
                                                                                                                flick_mach3mig_decode_char8(0, _t120_switch_tag);
                                                                                                                flick_mach3mig_decode_end_chunk(8);
                                                                                                                switch ((char )_t120_switch_tag)
                                                                                                                  {
                                                                                                                  case '0':
                                                                                                                    {
                                                                                                                      char _t121_switch_tag;

                                                                                                                      flick_mach3mig_decode_new_chunk(8);
                                                                                                                      flick_mach3mig_decode_char8(0, _t121_switch_tag);
                                                                                                                      flick_mach3mig_decode_end_chunk(8);
                                                                                                                      switch ((char )_t121_switch_tag)
                                                                                                                        {
                                                                                                                        case 0:
                                                                                                                          {
                                                                                                                            _ev->_id = "IDL:puke:1.0";
                                                                                                                            (puke *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(puke ));
                                                                                                                            flick_mach3mig_decode_new_chunk(8);
                                                                                                                            flick_mach3mig_decode_signed32(0, ((puke *)(_ev->_value._user_except))->reason);
                                                                                                                            flick_mach3mig_decode_end_chunk(8);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, mach3mig, mach3mig);
                                              break;
                                            }
                                          }
                                        flick_mach3mig_decode_end_glob(180);
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                                  flick_mach3mig_decode_end_glob(180);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                            flick_mach3mig_decode_end_glob(180);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                      flick_mach3mig_decode_end_glob(180);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
                flick_mach3mig_decode_end_glob(180);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_corba_decode_client_error(return _return, FLICK_ERROR_COLLAPSED_UNION, mach3mig, mach3mig);
          flick_mach3mig_decode_end_glob(180);
          break;
        }
      }
  }
  flick_mach3mig_client_end_decode();
  return _return;
}

