#ifndef _struct_client_h_
#define _struct_client_h_

#define FLICK_PROTOCOL_TRAPEZE
#include <flick/link/trapeze.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corba.h>

#ifndef _typedef___bar
#define _typedef___bar
typedef struct bar {
  CORBA_long b1;
  CORBA_long b2;
  CORBA_char *b3;
} bar;
#endif /* _typedef___bar */

void flick_marshal_stub_bar(flick_marshal_stream_t _stream, const struct bar *_data);

void flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data);

#ifndef _typedef___bar2
#define _typedef___bar2
typedef struct bar2 {
  CORBA_long b3;
  struct bar b4;
} bar2;
#endif /* _typedef___bar2 */

void flick_marshal_stub_bar2(flick_marshal_stream_t _stream, const struct bar2 *_data);

void flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, struct bar2 *_data);

#ifndef _typedef___bar3
#define _typedef___bar3
typedef struct bar3 {
  CORBA_long b1;
  CORBA_long b2;
  CORBA_long b3;
} bar3;
#endif /* _typedef___bar3 */

void flick_marshal_stub_bar3(flick_marshal_stream_t _stream, const struct bar3 *_data);

void flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, struct bar3 *_data);

#ifndef _typedef___bar4
#define _typedef___bar4
typedef struct bar4 {
  CORBA_long b1;
  struct bar2 b2;
  CORBA_long b3;
  struct bar3 b4;
  CORBA_long b5;
} bar4;
#endif /* _typedef___bar4 */

void flick_marshal_stub_bar4(flick_marshal_stream_t _stream, const struct bar4 *_data);

void flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, struct bar4 *_data);

#ifndef _typedef___foo
#define _typedef___foo
typedef CORBA_Object foo;
#endif /* _typedef___foo */

void flick_marshal_stub_foo(flick_marshal_stream_t _stream, const foo *_data);

void flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, foo *_data);

CORBA_long foo_op(foo _obj, struct bar *a, struct bar2 **b, CORBA_Environment *_ev);

#ifndef _typedef___foo2
#define _typedef___foo2
typedef CORBA_Object foo2;
#endif /* _typedef___foo2 */

void flick_marshal_stub_foo2(flick_marshal_stream_t _stream, const foo2 *_data);

void flick_unmarshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data);

struct bar *foo2_op2(foo2 _obj, struct bar2 *a, CORBA_Environment *_ev);

CORBA_long foo2_op3(foo2 _obj, CORBA_long a, CORBA_char *b, CORBA_Environment *_ev);

CORBA_long foo2_op(foo2 _obj, struct bar *a, struct bar2 **b, CORBA_Environment *_ev);

#ifndef _typedef___Coord
#define _typedef___Coord
typedef CORBA_unsigned_short Coord;
#endif /* _typedef___Coord */

void flick_marshal_stub_Coord(flick_marshal_stream_t _stream, const Coord *_data);

void flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data);

#ifndef _typedef___CellPos
#define _typedef___CellPos
typedef struct CellPos {
  Coord row;
  Coord col;
} CellPos;
#endif /* _typedef___CellPos */

void flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, const struct CellPos *_data);

void flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, struct CellPos *_data);

#ifndef _typedef___CellPos2
#define _typedef___CellPos2
typedef struct CellPos2 {
  CORBA_unsigned_short row;
  CORBA_unsigned_short col;
} CellPos2;
#endif /* _typedef___CellPos2 */

void flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, const struct CellPos2 *_data);

void flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, struct CellPos2 *_data);

#ifndef _typedef___CellPos3
#define _typedef___CellPos3
typedef struct CellPos3 {
  Coord row;
  Coord col;
  CORBA_unsigned_short col2;
} CellPos3;
#endif /* _typedef___CellPos3 */

void flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, const struct CellPos3 *_data);

void flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, struct CellPos3 *_data);

#endif /* _struct_client_h_ */
