#include "ttcp-client.h"

CORBA_long ttcp_inttest(ttcp _obj, intBuffer *data, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 0);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, data->_length);
    flick_trapeze_client_encode_array(data->_buffer, 4 * data->_length);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_UNSOL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(28);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            unsigned int _t15_switch_tag;

            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t15_switch_tag);
            flick_trapeze_decode_end_chunk(4);
            switch ((unsigned int )_t15_switch_tag)
              {
              case (unsigned int) 16:
                {
                  unsigned int _t16_switch_tag;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t16_switch_tag);
                  flick_trapeze_decode_end_chunk(4);
                  switch ((unsigned int )_t16_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t17_switch_tag;

                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t17_switch_tag);
                        flick_trapeze_decode_end_chunk(4);
                        switch ((unsigned int )_t17_switch_tag)
                          {
                          case /* usel */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                            {
                              unsigned int _t18_switch_tag;

                              flick_trapeze_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t18_switch_tag);
                              flick_trapeze_decode_end_chunk(4);
                              switch ((unsigned int )_t18_switch_tag)
                                {
                                case /* ess: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                  {
                                    unsigned int _t19_switch_tag;

                                    flick_trapeze_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t19_switch_tag);
                                    flick_trapeze_decode_end_chunk(4);
                                    switch ((unsigned int )_t19_switch_tag)
                                      {
                                      case /* 1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                        {
                                          _ev->_id = "IDL:useless:1.0";
                                          (useless *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(useless ));
                                          flick_trapeze_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, ((useless *)(_ev->_value._user_except))->baloney);
                                          flick_trapeze_decode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                  break;
                }
              }
          }
        }
      flick_trapeze_decode_end_glob(28);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

CORBA_long ttcp_structtest(ttcp _obj, structBuffer *data, CORBA_Environment *_ev)
{
  tpz_msgbuf_t _msg_buf;
  caddr_t _buf_start;
  register void *_buf_current;
  CORBA_long _return;

  _return = 0;
  flick_trapeze_client_start_encode();
  {
    flick_trapeze_client_encode_target(_obj, 0, cdr);
  }
  {
    flick_trapeze_encode_new_glob(12);
    flick_trapeze_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 1);
    /* Default reply token is TPZ_CTRL. */
    flick_cdr_encode_unsigned32(4, TPZ_CTRL);
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, data->_length);
    flick_trapeze_client_encode_array(data->_buffer, sizeof(struct b ) * data->_length);
    flick_trapeze_encode_end_chunk(12);
    flick_trapeze_encode_end_glob(12);
  }
  flick_trapeze_client_end_encode();
  if (!flick_trapeze_client_rpc(_obj, &_msg_buf, TPZ_UNSOL))
    flick_corba_decode_client_error(return _return, FLICK_ERROR_COMMUNICATION, cdr, trapeze);
  flick_trapeze_client_start_decode();
    {
      flick_trapeze_decode_new_glob(28);
      flick_trapeze_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _ev->_major);
      flick_trapeze_decode_end_chunk(4);
      switch (_ev->_major)
        {
        case CORBA_NO_EXCEPTION:
          {
            /* Begin decode phase on parameters */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _return);
            flick_trapeze_decode_end_chunk(4);
            break;
          }
        case CORBA_SYSTEM_EXCEPTION:
          {
            flick_corba_decode_system_exception(_ev, cdr, trapeze);
            break;
          }
        default:
          {
            unsigned int _t55_switch_tag;

            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t55_switch_tag);
            flick_trapeze_decode_end_chunk(4);
            switch ((unsigned int )_t55_switch_tag)
              {
              case (unsigned int) 16:
                {
                  unsigned int _t56_switch_tag;

                  flick_trapeze_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t56_switch_tag);
                  flick_trapeze_decode_end_chunk(4);
                  switch ((unsigned int )_t56_switch_tag)
                    {
                    case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                      {
                        unsigned int _t57_switch_tag;

                        flick_trapeze_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t57_switch_tag);
                        flick_trapeze_decode_end_chunk(4);
                        switch ((unsigned int )_t57_switch_tag)
                          {
                          case /* usel */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                            {
                              unsigned int _t58_switch_tag;

                              flick_trapeze_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t58_switch_tag);
                              flick_trapeze_decode_end_chunk(4);
                              switch ((unsigned int )_t58_switch_tag)
                                {
                                case /* ess: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                  {
                                    unsigned int _t59_switch_tag;

                                    flick_trapeze_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t59_switch_tag);
                                    flick_trapeze_decode_end_chunk(4);
                                    switch ((unsigned int )_t59_switch_tag)
                                      {
                                      case /* 1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                        {
                                          _ev->_id = "IDL:useless:1.0";
                                          (useless *)(_ev->_value._user_except) = CORBA_flick_alloc(sizeof(useless ));
                                          flick_trapeze_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, ((useless *)(_ev->_value._user_except))->baloney);
                                          flick_trapeze_decode_end_chunk(4);
                                          break;
                                        }
                                      default:
                                        {
                                          flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                          break;
                                        }
                                      }
                                    break;
                                  }
                                default:
                                  {
                                    flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                                    break;
                                  }
                                }
                              break;
                            }
                          default:
                            {
                              flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                              break;
                            }
                          }
                        break;
                      }
                    default:
                      {
                        flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                        break;
                      }
                    }
                  break;
                }
              default:
                {
                  flick_corba_decode_client_error(return _return, FLICK_ERROR_VOID_UNION, cdr, trapeze);
                  break;
                }
              }
          }
        }
      flick_trapeze_decode_end_glob(28);
    }
  flick_trapeze_client_end_decode();
  return _return;
}

